<?

// PAGE LAYOUT



$fullwidth_class='wpoptinsUnselected';

$rightsidebar_class='wpoptinsUnselected';

$guruoptin_class='wpoptinsUnselected';



if($wpoptins_layout=='rightsidebar'){

	$rightsidebar_class='wpoptinsSelected';

}

else if($wpoptins_layout=='guruoptin'){

	$guruoptin_class='wpoptinsSelected';

}

else{

	$fullwidth_class='wpoptinsSelected';

}



$$wpoptins_layout="checked";

if($wpoptins_layout == ''){

	$fullwidth="checked";

}



$$wpoptins_columns="checked";

$$wpoptins_bullet="checked";

if(!$wpoptins_bullet){

	$nobullet='checked';

}

$$wpoptins_border_style='selected';

$wpoptins_border_width='b'.$wpoptins_border_width;

$$wpoptins_border_width='selected';



$wpoptins_border_radius='r'.$wpoptins_border_radius;

$$wpoptins_border_radius='selected';



$wpoptins_border_shadow='s'.$wpoptins_border_shadow;

$$wpoptins_border_shadow='selected';



?>



<style>

.wpoptinsDiv{

	border: solid 1px #dfdfdf;

	width:99%;

	padding: 5px;

	padding-left: 10px;

	margin-bottom: 10px;

	margin-top: 15px;

	background: #f1f1f1;

	border-radius:5px;

	-moz-border-radius:5px;

	-webkit-border-radius:5px;

}

.wpoptinsText{

	width:523px;

}

.wpoptinsUpload{

	width:413px;

}

.wpoptinsHeading{

	font-size: 18px;

	font-weight: bold;

}

.wpoptinsSelected{

	border: solid 3px #aaaaaa;

}

.wpoptinsUnselected{

	border: solid 3px #f6f6f6;

}

.wpoptinsHidden{

	display: none;

}

li{display: inline;list-style: none;margin-right: 5px;}

select{margin-top: -3px;}

</style>

<?$colors='"000000", "555555", "999999", "cccccc", "f5f5f5","ffffff",

	   "990000","b30000","cc0000","ff0000","ff9999","fce4e3",

	   "eb6f00","fd7800","ffba00","fed81d","fff272","ffffcb",

	   "000080", "0000ff","059EDD","00b4ff","6ed4ff","e0ecf5",

	   "006400","008000","87bb54","9bd761","ADFF2F","eaf4db"';

?>

<script type="text/javascript">

	//Run the code when document ready

	jQuery(function() {    

	jQuery('#wpoptins_bg_color').colorPicker({pickerDefault: "F5F5F5", colors: [<?=$colors?>], transparency: true}); 

	jQuery('#wpoptins_table_color').colorPicker({pickerDefault: "FFFFFF", colors: [<?=$colors?>], transparency: true}); 

	jQuery('#wpoptins_border_color').colorPicker({pickerDefault: "000000", colors: [<?=$colors?>], transparency: true}); 

	jQuery('#wpoptins_button_color').colorPicker({pickerDefault: "ffba00", colors: [<?=$colors?>], transparency: true}); 

	});

	var layout;





</script>



<input type="hidden" name="op" value="save">

<div class="inside">

<p><b>Page Layout</b><br>

<span class="howto" style="margin-bottom: 10px">Please select a layout for your page.</span>



<label for="fullwidth"><input id="fullwidth" type="radio" value="fullwidth" <?=$fullwidth?> name="wpoptins_layout" >Full Width</label>

<!--<label for="rightsidebar"><img id="showHeadlines" class="<?=$rightsidebar_class?>" border="0" src="<?php echo WPOPTINS_URL; ?>/images/rightsidebar.png" width="45" height="36" onclick="ChangeLayout(this);"><input id="rightsidebar" type="radio" value="rightsidebar" <?=$rightsidebar?> name="wpoptins_layout" class="wpoptinsHidden"></label>-->

<label for="guruoptin"><input id="guruoptin" type="radio" value="guruoptin" <?=$guruoptin?> name="wpoptins_layout" >Guru Optin</label>







<p><b>Background Image and Color</b><br>

<span class="howto">Please click "Insert Into Page" after uploading an image. Select a background color.</span> 

<div class="uploader">

  <input type="text" class="wpoptinsUpload" name="wpoptins_bg_img" id="wpoptins_bg_img" value="<?php echo $wpoptins_bg_img?>" />

  <input type="button" class="button upload" name="wpoptins_bg_img_button" id="wpoptins_bg_img_button" value="Upload" />

  <input type=button class=button value=Clear onclick="document.getElementById('wpoptins_bg_img').value = '';"> &nbsp;<input id="wpoptins_bg_color" type="text" name="wpoptins_bg_color" value="<?=$wpoptins_bg_color?>" />

</div>

</p>

<script>

jQuery(document).ready(function($){

  var _custom_media = true,

      _orig_send_attachment = wp.media.editor.send.attachment;



  $('#wpoptins_bg_img_button').click(function(e) {

    var send_attachment_bkp = wp.media.editor.send.attachment;

    var button = $(this);

    var id = button.attr('id').replace('_button', '');

    _custom_media = true;

    wp.media.editor.send.attachment = function(props, attachment){

      if ( _custom_media ) {

        $("#"+id).val(attachment.url);

      } else {

        return _orig_send_attachment.apply( this, [props, attachment] );

      };

    }



    wp.media.editor.open(button);

    return false;

  });



  $('#wpoptins_bg_img').on('click', function(){

    _custom_media = false;

  });

});

</script>







<p><b>YouTube Video Background</b><br>

<span class="howto">Please enter a YouTube Video ID and select options.</span>



<li><input name="wpoptins_bg_video" type="text" value="<?=$wpoptins_bg_video?>" style="width:110px" onfocus="this.value = '';"></li> 

<li><input id="playVideoSound" type="checkbox" name="wpoptins_video_sound" value="checked" <?=$wpoptins_video_sound?>> <label for="playVideoSound">Play Sound</label></li>

<li><input id="repeatVideo" type="checkbox" name="wpoptins_repeat_video" value="checked" <?=$wpoptins_repeat_video?>> <label for="repeatVideo">Repeat Video</label></li>

</p>



<p>

<b>Logo Image</b>  (optional)<br>

<span class="howto">Please click "Insert Into Page" after selecting an image.</span>

<div class="uploader">

  <input type="text" class="wpoptinsUpload" name="wpoptins_logo" id="wpoptins_logo" value="<?php echo $wpoptins_logo?>" />

  <input type="button" class="button upload" name="wpoptins_logo_button" id="wpoptins_logo_button" value="Upload" />

  <input type=button class=button value=Clear onclick="document.getElementById('wpoptins_logo').value = '';"> 

</div>

</p>

<script>

jQuery(document).ready(function($){

  var _custom_media = true,

      _orig_send_attachment = wp.media.editor.send.attachment;



  $('#wpoptins_logo_button').click(function(e) {

    var send_attachment_bkp = wp.media.editor.send.attachment;

    var button = $(this);

    var id = button.attr('id').replace('_button', '');

    _custom_media = true;

    wp.media.editor.send.attachment = function(props, attachment){

      if ( _custom_media ) {

        $("#"+id).val(attachment.url);

      } else {

        return _orig_send_attachment.apply( this, [props, attachment] );

      };

    }



    wp.media.editor.open(button);

    return false;

  });



  $('#wpoptins_logo').on('click', function(){

    _custom_media = false;

  });

});

</script>



</p>



<div class="headlines">



<p>

<b>Header Image</b>  (optional)<br>

<span class="howto">Please click "Insert Into Page" after selecting an image.</span>

<div class="uploader">

  <input type="text" class="wpoptinsUpload" name="wpoptins_header" id="wpoptins_header" value="<?php echo $wpoptins_header?>" />

  <input type="button" class="button upload" name="wpoptins_header_button" id="wpoptins_header_button" value="Upload" />

  <input type=button class=button value=Clear onclick="document.getElementById('wpoptins_header').value = '';"> 

</div>

</p>

<script>

jQuery(document).ready(function($){

  var _custom_media = true,

      _orig_send_attachment = wp.media.editor.send.attachment;



  $('#wpoptins_header_button').click(function(e) {

    var send_attachment_bkp = wp.media.editor.send.attachment;

    var button = $(this);

    var id = button.attr('id').replace('_button', '');

    _custom_media = true;

    wp.media.editor.send.attachment = function(props, attachment){

      if ( _custom_media ) {

        $("#"+id).val(attachment.url);

      } else {

        return _orig_send_attachment.apply( this, [props, attachment] );

      };

    }



    wp.media.editor.open(button);

    return false;

  });



  $('#wpoptins_header').on('click', function(){

    _custom_media = false;

  });

});

</script>

</p>



<p><b>Table Properties</b><br>

<span class="howto">Please enter the width, padding, top margin, and color of your table.</span> 

</p>

<?if(!$wpoptins_page_width){$wpoptins_page_width='800';}?>

<?if(!$wpoptins_padding){$wpoptins_padding='30';}?>

<?if(!$wpoptins_margin_top){$wpoptins_margin_top='30';}?>



<li><input name="wpoptins_page_width" type="text" value="<?=$wpoptins_page_width?>" style="width:60px" onfocus="this.value = '';"></li> 

<li><input name="wpoptins_padding" type="text" value="<?=$wpoptins_padding?>" style="width:60px" onfocus="this.value = '';"></li> 

<li><input name="wpoptins_margin_top" type="text" value="<?=$wpoptins_margin_top?>" style="width:60px" onfocus="this.value = '';"></li> 

<li><input id="wpoptins_table_color" type="text" name="wpoptins_table_color" value="<?=$wpoptins_table_color?>" /></li>



<p><b>Table Border Properties</b><br>

<span class="howto">Please select the style, width, radius, shadow, and color of your border.</span> 

</p>



<li><select id="wpoptins_border_style" name="wpoptins_border_style">

<option value="none" <?=$none?>>Style</option>

<option value="none" <?=$none?>>None</option>

<option value="solid" <?=$solid?>>Solid</option>

<option value="dashed" <?=$dashed?>>Dashed</option>

<option value="dotted" <?=$dotted?>>Dotted</option>

</select>

</li>

<li><select id="wpoptins_border_width" name="wpoptins_border_width">

<option value="0px" <?=$b0px?>>Width</option>

<option value="0px" <?=$b0px?>>0px</option>

<option value="1px" <?=$b1px?>>1px</option>

<option value="2px" <?=$b2px?>>2px</option>

<option value="3px" <?=$b3px?>>3px</option>

<option value="4px" <?=$b4px?>>4px</option>

<option value="5px" <?=$b5px?>>5px</option>

</select>

</li>

<li><select id="wpoptins_border_radius" name="wpoptins_border_radius">

<option value="0px" <?=$r0px?>>Radius</option>

<option value="0px" <?=$r0px?>>0px</option>

<option value="5px" <?=$r5px?>>5px</option>

<option value="10px" <?=$r10px?>>10px</option>

<option value="15px" <?=$r15px?>>15px</option>

<option value="20px" <?=$r20px?>>20px</option>

<option value="25px" <?=$r25px?>>25px</option>

</select>

</li>

<li><select id="wpoptins_border_shadow" name="wpoptins_border_shadow">

<option value="0px">Shadow</option>

<option value="0px" <?=$s0px?>>0px</option>

<option value="5px" <?=$s5px?>>5px</option>

<option value="10px" <?=$s10px?>>10px</option>

<option value="15px" <?=$s15px?>>15px</option>

<option value="20px" <?=$s20px?>>20px</option>

<option value="25px" <?=$s25px?>>25px</option>

</select>

</li>

<li><input id="wpoptins_border_color" type="text" name="wpoptins_border_color" value="<?=$wpoptins_border_color?>" /></li>

</div>

<p>

<input name="save" type="submit" class="button button-primary button-large" id="publish" accesskey="p" value="Update" />

</p>



</div><!--Inside-->

<script>

	jQuery("#guruoptin").click(function () {

    jQuery(".headlines").hide("medium");

    });

	jQuery("#fullwidth").click(function () {

    jQuery(".headlines").show("medium");

	});

   	<?if($wpoptins_layout == 'guruoptin'):?>

		jQuery(".headlines").hide("medium");

	<?else:?>

	jQuery(".headlines").show("medium");

	<?endif;?>



</script>