<?php
/**
Template Name: WP Optins Page
*/

$image_url=WPOPTINS_URL.'images';
$font_url=WPOPTINS_URL.'fonts';
$blog_url=get_bloginfo('url');

$year = date("Y",time());

$layout=get_post_meta($post->ID, "wpoptins_layout", true);

$padding=get_post_meta($post->ID, "wpoptins_padding", true);
if($padding > 10){$padding_top=$padding-10;}
$margin_top=get_post_meta($post->ID, "wpoptins_margin_top", true);
$youtube_code=get_post_meta($post->ID, "wpoptins_youtube_code", true);
$action_text=get_post_meta($post->ID, "wpoptins_action_text", true);
$privacy_text=get_post_meta($post->ID, "wpoptins_privacy_text", true);
if($privacy_text){$privacy_text="<div class=privacyText><img src=$image_url/icon_padlock.png>$privacy_text</div>";}
$form_code=get_post_meta($post->ID, "wpoptins_form_code", true);

$enable_exit_page=get_post_meta($post->ID, "wpoptins_enable_exit_page", true);
$exit_text=addslashes(get_post_meta($post->ID, "wpoptins_exit_text", true));
$exit_page=get_post_meta($post->ID, "wpoptins_exit_page", true);
$exit_url=get_post_meta($post->ID, "wpoptins_exit_url", true);
$redirect=get_post_meta($post->ID, "wpoptins_redirect", true);
$redirect_url=get_post_meta($post->ID, "wpoptins_redirect_url", true);
$redirect_delay=get_post_meta($post->ID, "wpoptins_redirect_delay", true);

$bg_color=get_post_meta($post->ID, "wpoptins_bg_color", true);
$table_color=get_post_meta($post->ID, "wpoptins_table_color", true);
$page_width=get_post_meta($post->ID, "wpoptins_page_width", true);
if(!$page_width){$page_width=750;}
$border_style=get_post_meta($post->ID, "wpoptins_border_style", true);
$border_radius=get_post_meta($post->ID, "wpoptins_border_radius", true);
$border_shadow=get_post_meta($post->ID, "wpoptins_border_shadow", true);
$border_width=get_post_meta($post->ID, "wpoptins_border_width", true);
$border_color=get_post_meta($post->ID, "wpoptins_border_color", true);
$box_bg=get_post_meta($post->ID, "wpoptins_box_bg", true);
$box_bg_dark=get_post_meta($post->ID, "wpoptins_box_bg_dark", true);
$box_position=get_post_meta($post->ID, "wpoptins_box_position", true);
$box_opacity=get_post_meta($post->ID, "wpoptins_box_opacity", true);
$button_color=get_post_meta($post->ID, "wpoptins_button_color", true);

$bg_img=get_post_meta($post->ID, "wpoptins_bg_img", true);
$bg_style=get_post_meta($post->ID, "wpoptins_bg_style", true);
$bg_video=get_post_meta($post->ID, "wpoptins_bg_video", true);
$video_sound=get_post_meta($post->ID, "wpoptins_video_sound", true);
$repeat_video=get_post_meta($post->ID, "wpoptins_repeat_video", true);

$box_style=get_post_meta($post->ID, "wpoptins_box_style", true);
$box_width=get_post_meta($post->ID, "wpoptins_box_width", true);
$button_text=get_post_meta($post->ID, "wpoptins_button_text", true);
$button_color=get_post_meta($post->ID, "wpoptins_button_color", true);
$submit_button=$button_text.$button_color.'.png';
$header_code=get_post_meta($post->ID, "wpoptins_header_code", true);
$footer_code=get_post_meta($post->ID, "wpoptins_footer_code", true);
$enable_header=get_post_meta($post->ID, "wpoptins_enable_header", true);

$header=get_post_meta($post->ID, "wpoptins_header", true);

$logo=get_post_meta($post->ID, "wpoptins_logo", true);

$post_id = get_post($post->ID);
$content = $post_id->post_content;
$content = apply_filters('the_content', $content);
$content = str_replace(']]>', ']]>', $content);

if( strstr($_SERVER['HTTP_USER_AGENT'],'Android') || strstr($_SERVER['HTTP_USER_AGENT'],'webOS') || strstr($_SERVER['HTTP_USER_AGENT'],'iPhone') || strstr($_SERVER['HTTP_USER_AGENT'],'iPod')){
$mobile=true;}


if($form_code != ''){

	include WPOPTINS_PATH."php/webform.php";
	if($mobile){
		$optin_form="<div align=\"left\">";
	}
	else{
		$optin_form="<div align=\"center\">";
	}
	$optin_form.="<div class=\"box $box_style\">";

	if($layout=='guruoptin'){
		$optin_form.="<div>$content</div>";
	}
	$optin_form.= get_optin_form($form_code, $button_text).$privacy_text."</div></div>";
}

if(preg_match("/[optinform]/i",$content)){
	$content = str_replace("[optinform]",$optin_form, $content);
}
?>


<?if($mobile):?>
<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.2//EN"
"http://www.openmobilealliance.org/tech/DTD/xhtml-mobile12.dtd">
<?else:?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<?endif;?>

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">

<head profile="http://gmpg.org/xfn/11">

<?=$header_code?>
<?if($redirect=='checked'):?>
<META HTTP-EQUIV="refresh" CONTENT="<?=$redirect_delay?>;URL=<?=$redirect_url?>">
<?endif;?>

<?php $h8= stripslashes(get_option("wp_h8")); if($h8!=""){ echo $h8; }?>

<meta http-equiv="Content-Language" content="en-us">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<meta name="distribution" content="global" />

<title><?php the_title(); ?></title>

<? include "wpoptins-style.php"; ?>

<script type="text/javascript" src="https://apis.google.com/js/plusone.js"></script>
<script src="<?=$font_url?>/cufon-yui.js" type="text/javascript"></script>
<script src="<?=$font_url?>/Courier_New.font.js" type="text/javascript"></script>
<script src="<?=$font_url?>/Impact_400.font.js" type="text/javascript"></script>
<script src="<?=$font_url?>/Myriad_Pro.font.js" type="text/javascript"></script>
<script src="<?=$font_url?>/Hand_Of_Sean.font.js" type="text/javascript"></script>
<script src="<?=$font_url?>/Jerrys_handwriting_400.font.js" type="text/javascript"></script>
<script src="<?=$font_url?>/Arial.font.js" type="text/javascript"></script>
<script src="<?=$font_url?>/Arial_Narrow.font.js" type="text/javascript"></script>
<script src="<?=$font_url?>/Georgia.font.js" type="text/javascript"></script>
<script src="<?=$font_url?>/Myriad_Pro.font.js" type="text/javascript"></script>
<script src="<?=$font_url?>/Tahoma.font.js" type="text/javascript"></script>
<script src="<?=$font_url?>/Vegur.font.js" type="text/javascript"></script>
<script src="<?=$font_url?>/My_Underwood_400.font.js" type="text/javascript"></script>

<script src="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
<!--,textShadow: '#333 1px 1px, #fff -1px -1px',color: '-linear-gradient(#ff0000, #b30000)'-->
<?remove_filter('the_content', 'wptexturize');?>

<script type="text/javascript">
	$(function(){
	Cufon.replace('.arial', { fontFamily: 'Arial',hover: true});
	Cufon.replace('.couriernew', { fontFamily: 'Courier New',hover: true});
	Cufon.replace('.georgia', { fontFamily: 'Georgia',hover: true});
	Cufon.replace('.impact', { fontFamily: 'Impact',hover: true});
	Cufon.replace('.jerryshandwriting', { fontFamily: "Jerry's handwriting",hover: true});
	Cufon.replace('.tahoma', { fontFamily: 'Tahoma',hover: true});
	Cufon.replace('.handofsean', { fontFamily: 'Hand of Sean',hover: true});
	Cufon.replace('.myriadpro', { fontFamily: 'Myriad Pro',hover: true});
	Cufon.replace('.myunderwood', { fontFamily: 'My Underwood',hover: true});
	});
</script>

<?$mute='true';$repeat='false';?>
<?if($video_sound == 'checked'){$mute='false';}?>
<?if($repeat_video == 'checked'){$repeat='true';}?>

<?if($bg_video and !$mobile):?>

<script type="text/javascript" charset="utf-8" src="<?=WPOPTINS_URL?>js/jquery.tubular.1.0.js"></script> 
<script type="text/javascript">
$('document').ready(function() {
	var options = { videoId: '<?=$bg_video?>', start: 0, mute: <?=$mute?>, repeat: <?=$repeat?> };
	$('#container').tubular(options);
	// f-UGhWj1xww cool sepia hd 9ssWk_kwa3w
	// 49SKbS7Xwf4 beautiful barn sepia
});
</script>

<?endif;?>

</head>

<body>
<div id="container">

<?if($logo):?>
	<div id="logo">
		<img border="0" src="<?=$logo?>">
	</div>
<?endif;?>

<?php if($layout == "fullwidth"):?>
	<div id="table">

	<?php if($header):?>
		<div id="header">
			<?echo "<img src=$header>";?>
		</div>
	<?endif;?>
	<div id="content">
	<?php echo $content;?>
	<?php echo $optin_form;?>
	</div>
<?else:?>
<?php echo $optin_form;?>
<?endif;?>

<div id="footer">
	<?php wp_nav_menu( array( 'fallback_cb' => false,'theme_location' => 'wp-optins' ) );?>
</div>
<?php if($layout == "fullwidth"):?>
</div><!--table-->
<?endif;?>

</div><!--container-->

<?=$footer_code?>

<?php if($enable_exit_page == 'checked'){
	if($exit_url){
		$redirect_page=$exit_url;
	}
	else{
		$redirect_page=get_page_link($exit_page);
	}
?>
<script type="text/javascript" src="<?php echo WPOPTINS_URL;?>js/exit.js"></script>
<script type="text/javascript">
var ExitPage = "<?php echo $redirect_page;?>"
var ExitMessage = "***********************************************\n\n";
<?$string=explode("\n",$exit_text);?>
<? foreach($string as $row):?>
ExitMessage += "<?php echo trim($row); ?>\n";
<?endforeach?>
ExitMessage += "\n***********************************************";

</script>
<?php } ?>

<?php wp_footer(); ?> 
</body>

</html>