<?php

/**

 * @package IM Sales

 */

// this file contains the contents of the popup window

require_once('../../../../wp-config.php');

$of_pages = array();

$of_pages_obj = get_pages('sort_column=post_parent,menu_order');    

foreach ($of_pages_obj as $of_page) {

    $of_pages[$of_page->ID] = $of_page->post_name; }

$of_pages_tmp = array_unshift($of_pages, "Select a page:");    



?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>

<title>Insert Exit Script</title>

<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.6.1/jquery.js"></script>

<script language="javascript" type="text/javascript" src="../../../../wp-includes/js/tinymce/tiny_mce_popup.js"></script>

<script language="javascript" type="text/javascript" src="../js/jscolor.js"></script>

<style type="text/css" src="../../../../wp-includes/js/tinymce/themes/advanced/skins/wp_theme/dialog.css"></style>

<link rel="stylesheet" href="css/style.css" />



<script type="text/javascript"> 

var ButtonDialog = {

	local_ed : 'ed',

	init : function(ed) {

		ButtonDialog.local_ed = ed;

		tinyMCEPopup.resizeToInnerSize();

		jQuery('#custButton-dialog #exit-text').val(ButtonDialog.local_ed.selection.getContent());

	},

	insert : function insertButton(ed) {

	 

		// Try and remove existing style / blockquote

		tinyMCEPopup.execCommand('mceRemoveNode', false, null);

		 

		// set up variables to contain our input values

		var page = jQuery('#custButton-dialog #page').val();

		var text = jQuery('#custButton-dialog #exit-text').val();





		

		var output = '';

		

		output = '[exit ';

			output += 'page="' + page + '" ';

			output += ']'+ text + '[/exit]';



		tinyMCEPopup.execCommand('mceReplaceContent', false, output);

		 

		// Return

		tinyMCEPopup.close();

	}

};

tinyMCEPopup.onInit.add(ButtonDialog.init, ButtonDialog);

</script>



</head>

<body>

	<div id="custButton-dialog" class="box">

		<form action="/" method="get" accept-charset="utf-8">

			<div>

				<label for="exit-text">Exit Text:</label>

				<p><textarea type="text" name="exit-text" value="" id="exit-text" rows="5" cols="63"></textarea></p>

			</div>

			<div>

				<label for="page"><b>Redirect URL:</b></label>

				<span><select name="page" id="page">

				<?php foreach($of_pages as $field){?>

					<option value="<?php echo $field; ?>"><?php echo $field; ?></option>

				<?php }?>

				</select>

				

				</span>

			</div>



			<div class="clear rt">	

				<a href="javascript:ButtonDialog.insert(ButtonDialog.local_ed)" id="insert" style="display: block; line-height: 24px; text-decoration:none;">Insert</a>

			</div>

		</form>

	</div>

	<div class="clear"></div>

</body>

</html>