<?php 
########## EXPIRATION TIME ##########
/*
$wpoptins_expires=false;
$wpoptins_expire_days=7;
$wpoptins_expire_time=time()+86400*$wpoptins_expire_days;

//$wpoptins_expire_time=strtotime('2013-01-22');

if($wpoptins_expires == true){
	add_option('wpoptins_expire_time', $wpoptins_expire_time);
	$wpoptins_expire_time = get_option('wpoptins_expire_time');
}
if($wpoptins_expires == false OR time() > $wpoptins_expire_time){
	
########## LICENSE CODE ##########

$license_code_setup['product_name']	 = 'WP Optins';
$license_code_setup['cookie_expire'] = '30';

$license_code_setup['is_theme'] = '0';

$license_code_setup['LC_server']	 = 'http://wpoptins.com';
$license_code_setup['product_id']	 = '2';
$license_code_setup['keymaster']	 = 'C6901EA3F41F7C564F28D742C1CAD14F';

require 'license-code.php';
$license_code_program = new license_code_program($license_code_setup);
if ( ! $license_code_program->run())
{
	return;
}
}//IF EXPIRED
*/
########## ENQUEUE SCRIPTS #########

register_nav_menu( 'wp-optins',WPOPTINS_PLUGIN_NAME.' Footer');

add_action('admin_enqueue_scripts', 'wpoptins_enqueue_scripts');

function wpoptins_enqueue_scripts(){
	if (is_admin()){
		wp_enqueue_script('wpoptins_colorpicker_js', WPOPTINS_URL.'colorpicker/colorpicker.js');
		wp_enqueue_style('wpoptins_colorpicker_css', WPOPTINS_URL.'colorpicker/colorPicker.css');
	}
	
}
//wp_enqueue_style('google_fonts', 'http://fonts.googleapis.com/css?family=Tangerine:bold,bolditalic|Inconsolata:italic|Droid+Sans');

add_filter( 'mce_css', 'wpoptins_plugin_mce_css' );

function wpoptins_plugin_mce_css( $mce_css ) {
	if ( ! empty( $mce_css ) )
		$mce_css .= ',';

	$mce_css .= WPOPTINS_URL . 'tinymce/css/editor.css';
	return $mce_css;
}
########## ADD TINY MCE BUTTONS ##########

require_once (WPOPTINS_PATH  . 'tinymce/shortcodes.php');

// Callback function to insert 'styleselect' into the $buttons array
function my_mce_buttons_2( $buttons ) {
	array_unshift( $buttons, 'styleselect' );
	return $buttons;
}
// Register our callback to the appropriate filter
add_filter('mce_buttons_2', 'my_mce_buttons_2');

// Style Callback function to filter the MCE settings
function my_mce_before_init_insert_formats( $init_array ) {  
	// Define the style_formats array
	$style_formats = array(  
		// Each array child is a format with it's own settings
		array(  
			'title' => 'Impact',
			'block' => 'span',  
			'classes' => 'impact',
			'wrapper' => true,
			
		),  
		array(  
			'title' => 'Tahoma',  
			'block' => 'span',  
			'classes' => 'tahoma',
			'wrapper' => true,
		),
		array(  
			'title' => 'Hand of Sean',  
			'block' => 'span',  
			'classes' => 'handofsean',
			'wrapper' => true,
		),
		array(  
			'title' => 'Myriad Pro',  
			'block' => 'span',  
			'classes' => 'myriadpro',
			'wrapper' => true,
		),
		array(  
			'title' => 'My Underwood',  
			'block' => 'span',  
			'classes' => 'myunderwood',
			'wrapper' => true,
		),
		array(  
			'title' => 'Arial',  
			'block' => 'span',  
			'classes' => 'arial',
			'wrapper' => true,
		),
		array(  
			'title' => 'Georgia',  
			'block' => 'span',  
			'classes' => 'georgia',
			'wrapper' => true,
		),
		array(  
			'title' => 'Courier New',  
			'block' => 'span',  
			'classes' => 'couriernew',
			'wrapper' => true,
		),
		array(  
			'title' => 'Jerrys Handwriting',  
			'block' => 'span',  
			'classes' => 'jerryshandwriting',
			'wrapper' => true,
		),
	);  
	// Insert the array, JSON ENCODED, into 'style_formats'
	$init_array['style_formats'] = json_encode( $style_formats );  
	
	return $init_array;  
  
} 
// Attach callback to 'tiny_mce_before_init' 
add_filter( 'tiny_mce_before_init', 'my_mce_before_init_insert_formats' );  


// add buttons
if (!function_exists('wpoptins_custom_tinymce_button')) {
function wpoptins_custom_tinymce_button() {
	if ( ! current_user_can('edit_posts') && ! current_user_can('edit_pages') )
		return;
		wp_enqueue_style('style', WPOPTINS_URL . 'tinymce/css/style.css');

	if ( get_user_option('rich_editing') == 'true') {

		add_filter("mce_external_plugins", "wpoAddButton");
		add_filter('mce_buttons_3', "wpoListButtons");
	}
}
}

if (!function_exists('wpoAddButton')) {
function wpoAddButton($plugin_array){
	$plugin_array['yt'] = WPOPTINS_URL .'tinymce/tinymce.js';
	return $plugin_array;
}
}
/*
if (!function_exists('wpoListButtons')) {
function wpoListButtons($buttons) {

	$buttons[] = 'ListIcons';
	$buttons[] = 'ListIcons2';
	$buttons[] = 'ListIcons3';
	$buttons[] = 'ListIcons4';
	$buttons[] = 'ListIcons5';
	$buttons[] = 'ListIcons6';
	$buttons[] = 'ListIcons7';
	$buttons[] = 'ListIcons8';
	$buttons[] = 'ListIcons9';
	return $buttons;  
}
add_action('init', 'wpoptins_custom_tinymce_button');
}
*/
//Remove buttons from row 1

function wpoptins_tinymce_remove_buttons($buttons){
	$remove = array('spellchecker','wp_adv','fullscreen');

	return array_diff($buttons,$remove);
 }
add_filter('mce_buttons','wpoptins_tinymce_remove_buttons');

//Remove buttons from row 2

function wpoptins_tinymce_remove_buttons2($buttons){
	$remove = array('justifyfull','pastetext','underline','forecolor','blockquote','wp_help');

	return array_diff($buttons,$remove);
 }
add_filter('mce_buttons_2','wpoptins_tinymce_remove_buttons2');

//Add buttons to beginning of row 1

function wpoptins_tinymce_add_buttons($buttons)
 {
      array_unshift($buttons, 'underline');
      array_unshift($buttons, 'backcolor');
      array_unshift($buttons, 'forecolor');

      return $buttons;
 }
add_filter('mce_buttons','wpoptins_tinymce_add_buttons');

//Add buttons to beginning of row 2

function wpoptins_tinymce_add_buttons2($buttons)
 {
      array_unshift($buttons, 'fontsizeselect');
      array_unshift($buttons, 'fontselect');

      return $buttons;
 }
add_filter('mce_buttons_2','wpoptins_tinymce_add_buttons2');

//Add buttons to End of row 1

function wpoptins_tinymce_after_buttons($buttons) {	
	$buttons[] = 'wpfullscreen';
	$buttons[] = 'help';
	array_push($buttons, "quote");
	return $buttons;  
}
add_filter('mce_buttons', 'wpoptins_tinymce_after_buttons');

if (!function_exists('wpoptins_tinymce_format')) {
function wpoptins_tinymce_format($in){
	$in['wpautop']=false;
	$in['apply_source_formatting']=true;
	$in['convert_fonts_to_spans']= true;
	$in['wordpress_adv_hidden'] = false;
	$in['remove_linebreaks']=false;
	$in['keep_styles']=true;
	$in['accessibility_focus']=true;
	$in['tabfocus_elements']='major-publishing-actions';
	$in['media_strict']=false;
	$in['paste_remove_styles']=false;
	$in['paste_remove_spans']=false;
	$in['paste_strip_class_attributes']='none';
	$in['paste_text_use_dialog']=true;
	$in['wpeditimage_disable_captions']=true;
	$in['theme_advanced_font_sizes']= "12pt, 14pt,16pt, 18pt, 20pt, 22pt, 24pt, 26pt, 28pt, 32pt, 36pt, 40pt, 44pt, 48pt, 64px, 72pt, 84pt, 96pt, 108pt, 120pt, 122pt, 140pt";
 
 return $in;
}

add_filter('tiny_mce_before_init', 'wpoptins_tinymce_format' , 1);
}

########## ADD META BOXES ##########

if($_POST['op']=='save'){
add_action('save_post', 'wpoptins_save_custom_meta');
}

add_action('admin_init', 'wpoptins_page_box', 1 );

function wpoptins_page_box(){
	add_meta_box('oaBox1','Page Settings','wpoptins_page_meta','page','normal','high');
}
function wpoptins_page_meta() {
	$wpoptins_layout=wpoptins_get_custom_meta("wpoptins_layout");
	$wpoptins_header=wpoptins_get_custom_meta("wpoptins_header");
	$wpoptins_logo=wpoptins_get_custom_meta("wpoptins_logo");
	$wpoptins_bg_video=wpoptins_get_custom_meta("wpoptins_bg_video");
	$wpoptins_video_sound=wpoptins_get_custom_meta("wpoptins_video_sound");
	$wpoptins_repeat_video=wpoptins_get_custom_meta("wpoptins_repeat_video");
	$wpoptins_bg_img=wpoptins_get_custom_meta("wpoptins_bg_img");
	$wpoptins_bg_style=wpoptins_get_custom_meta("wpoptins_bg_style");
	$wpoptins_bg_color=wpoptins_get_custom_meta("wpoptins_bg_color");
	$wpoptins_table_color=wpoptins_get_custom_meta("wpoptins_table_color");
	$wpoptins_page_width=wpoptins_get_custom_meta("wpoptins_page_width");
	$wpoptins_border_style=wpoptins_get_custom_meta("wpoptins_border_style");
	$wpoptins_border_width=wpoptins_get_custom_meta("wpoptins_border_width");
	$wpoptins_border_radius=wpoptins_get_custom_meta("wpoptins_border_radius");
	$wpoptins_border_shadow=wpoptins_get_custom_meta("wpoptins_border_shadow");
	$wpoptins_border_color=wpoptins_get_custom_meta("wpoptins_border_color");
	$wpoptins_padding=wpoptins_get_custom_meta("wpoptins_padding");
	$wpoptins_margin_top=wpoptins_get_custom_meta("wpoptins_margin_top");
	include_once('typography.php');
	include "page.php";
}
/*add_action('admin_init', 'wpoptins_header_box', 1);

function wpoptins_header_box(){
	add_meta_box('oaBox2','Page Header','wpoptins_header_meta','page','normal','high');
}
function wpoptins_header_meta() {

	$wpoptins_enable_header=wpoptins_get_custom_meta("wpoptins_enable_header");
	$wpoptins_enable_sharing=wpoptins_get_custom_meta("wpoptins_enable_sharing");

	$wpoptins_logo_text=wpoptins_get_custom_meta("wpoptins_logo_text");
	$wpoptins_logo_color=wpoptins_get_custom_meta("wpoptins_logo_color");
	$wpoptins_logo_family=wpoptins_get_custom_meta("wpoptins_logo_family");
	$wpoptins_logo_size=wpoptins_get_custom_meta("wpoptins_logo_size");
	$wpoptins_logo_style=wpoptins_get_custom_meta("wpoptins_logo_style");
	$wpoptins_logo_color=wpoptins_get_custom_meta("wpoptins_logo_color");
	$wpoptins_logo_spacing=wpoptins_get_custom_meta("wpoptins_logo_spacing");
	$wpoptins_logo_height=wpoptins_get_custom_meta("wpoptins_logo_height");
	$wpoptins_logo_shadow=wpoptins_get_custom_meta("wpoptins_logo_shadow");
	include_once('typography.php');
	include "header.php";
}
//add_action('admin_init', 'wpoptins_headline_box', 1);

function wpoptins_headline_box(){
	add_meta_box('oaBox3','Graphical Headlines','wpoptins_headline_meta','page','normal','high');
}
function wpoptins_headline_meta() {

	$wpoptins_headline=wpoptins_get_custom_meta("wpoptins_headline");
	$wpoptins_subhead=wpoptins_get_custom_meta("wpoptins_subhead");

	$wpoptins_heading1_family=wpoptins_get_custom_meta("wpoptins_heading1_family");
	$wpoptins_heading1_size=wpoptins_get_custom_meta("wpoptins_heading1_size");
	$wpoptins_heading1_style=wpoptins_get_custom_meta("wpoptins_heading1_style");
	$wpoptins_heading1_color=wpoptins_get_custom_meta("wpoptins_heading1_color");
	$wpoptins_heading1_spacing=wpoptins_get_custom_meta("wpoptins_heading1_spacing");
	$wpoptins_heading1_height=wpoptins_get_custom_meta("wpoptins_heading1_height");
	$wpoptins_heading1_shadow=wpoptins_get_custom_meta("wpoptins_heading1_shadow");

	$wpoptins_heading2_family=wpoptins_get_custom_meta("wpoptins_heading2_family");
	$wpoptins_heading2_size=wpoptins_get_custom_meta("wpoptins_heading2_size");
	$wpoptins_heading2_style=wpoptins_get_custom_meta("wpoptins_heading2_style");
	$wpoptins_heading2_color=wpoptins_get_custom_meta("wpoptins_heading2_color");
	$wpoptins_heading2_spacing=wpoptins_get_custom_meta("wpoptins_heading2_spacing");
	$wpoptins_heading2_height=wpoptins_get_custom_meta("wpoptins_heading2_height");
	$wpoptins_heading2_shadow=wpoptins_get_custom_meta("wpoptins_heading2_shadow");

	$wpoptins_heading3_family=wpoptins_get_custom_meta("wpoptins_heading3_family");
	$wpoptins_heading3_size=wpoptins_get_custom_meta("wpoptins_heading3_size");
	$wpoptins_heading3_style=wpoptins_get_custom_meta("wpoptins_heading3_style");
	$wpoptins_heading3_color=wpoptins_get_custom_meta("wpoptins_heading3_color");
	$wpoptins_heading3_spacing=wpoptins_get_custom_meta("wpoptins_heading3_spacing");
	$wpoptins_heading3_height=wpoptins_get_custom_meta("wpoptins_heading3_height");
	$wpoptins_heading3_shadow=wpoptins_get_custom_meta("wpoptins_heading3_shadow");

	//include "headlines.php";
}*/
add_action('admin_init', 'wpoptins_optin_box', 1);

function wpoptins_optin_box(){
	add_meta_box('oaBox4','Optin Form','wpoptins_optin_meta','page','normal','high');
}
function wpoptins_optin_meta() {
	$wpoptins_layout=wpoptins_get_custom_meta("wpoptins_layout");
	$wpoptins_action_text=wpoptins_get_custom_meta("wpoptins_action_text");
	$wpoptins_privacy_text=wpoptins_get_custom_meta("wpoptins_privacy_text");
	$wpoptins_form_code=wpoptins_get_custom_meta("wpoptins_form_code");
	$wpoptins_image_url=wpoptins_get_custom_meta("wpoptins_image_url");
	$wpoptins_button_color=wpoptins_get_custom_meta("wpoptins_button_color");
	$wpoptins_box_bg=wpoptins_get_custom_meta("wpoptins_box_bg");
	$wpoptins_box_bg_dark=wpoptins_get_custom_meta("wpoptins_box_bg_dark");
	$wpoptins_box_position=wpoptins_get_custom_meta("wpoptins_box_position");
	$wpoptins_button_color=wpoptins_get_custom_meta("wpoptins_button_color");
	$wpoptins_button_text=wpoptins_get_custom_meta("wpoptins_button_text");
	$wpoptins_box_style=wpoptins_get_custom_meta("wpoptins_box_style");
	$wpoptins_box_width=wpoptins_get_custom_meta("wpoptins_box_width");
	$wpoptins_box_opacity=wpoptins_get_custom_meta("wpoptins_box_opacity");

	$wpoptins_headline=wpoptins_get_custom_meta("wpoptins_headline");
	$wpoptins_subhead=wpoptins_get_custom_meta("wpoptins_subhead");

	$wpoptins_heading1_family=wpoptins_get_custom_meta("wpoptins_heading1_family");
	$wpoptins_heading1_size=wpoptins_get_custom_meta("wpoptins_heading1_size");
	$wpoptins_heading1_style=wpoptins_get_custom_meta("wpoptins_heading1_style");
	$wpoptins_heading1_color=wpoptins_get_custom_meta("wpoptins_heading1_color");
	$wpoptins_heading1_spacing=wpoptins_get_custom_meta("wpoptins_heading1_spacing");
	$wpoptins_heading1_height=wpoptins_get_custom_meta("wpoptins_heading1_height");
	$wpoptins_heading1_shadow=wpoptins_get_custom_meta("wpoptins_heading1_shadow");

	$wpoptins_heading2_family=wpoptins_get_custom_meta("wpoptins_heading2_family");
	$wpoptins_heading2_size=wpoptins_get_custom_meta("wpoptins_heading2_size");
	$wpoptins_heading2_style=wpoptins_get_custom_meta("wpoptins_heading2_style");
	$wpoptins_heading2_color=wpoptins_get_custom_meta("wpoptins_heading2_color");
	$wpoptins_heading2_spacing=wpoptins_get_custom_meta("wpoptins_heading2_spacing");
	$wpoptins_heading2_height=wpoptins_get_custom_meta("wpoptins_heading2_height");
	$wpoptins_heading2_shadow=wpoptins_get_custom_meta("wpoptins_heading2_shadow");

	//include_once('typography.php');
	include "optin.php";
}

//EXIT PAGE

add_action('admin_init', 'wpoptins_exit_box', 1);

function wpoptins_exit_box(){
	add_meta_box('oaBox5','Exit Page','wpoptins_exit_meta','page','normal','high');
}
function wpoptins_exit_meta() {
	$wpoptins_enable_exit_page=wpoptins_get_custom_meta("wpoptins_enable_exit_page");
	$wpoptins_exit_text=wpoptins_get_custom_meta("wpoptins_exit_text");
	$wpoptins_exit_page=wpoptins_get_custom_meta("wpoptins_exit_page");
	$wpoptins_exit_url=wpoptins_get_custom_meta("wpoptins_exit_url");
	include "exit.php";
}

//REDIRECT PAGE

add_action('admin_init', 'wpoptins_redirect_box', 1);

function wpoptins_redirect_box(){
	add_meta_box('oaBox6','Redirect Page','wpoptins_redirect_meta','page','normal','high');
}
function wpoptins_redirect_meta() {

	$wpoptins_redirect=wpoptins_get_custom_meta("wpoptins_redirect");
	$wpoptins_redirect_url=wpoptins_get_custom_meta("wpoptins_redirect_url");
	$wpoptins_redirect_delay=wpoptins_get_custom_meta("wpoptins_redirect_delay");
	include "redirect.php";
}

//SPLIT TESTING

add_action('admin_init', 'wpoptins_tracking_box', 1);

function wpoptins_tracking_box(){
	add_meta_box('oaBox7','Split Testing','wpoptins_tracking_meta','page','normal','high');
}

function wpoptins_tracking_meta() {

	$wpoptins_header_code=wpoptins_get_custom_meta("wpoptins_header_code");
	$wpoptins_footer_code=wpoptins_get_custom_meta("wpoptins_footer_code");
	include "tracking.php";
}

function wpoptins_save_custom_meta(){
	global $post;
	foreach($_POST as $name => $value){
		if(preg_match("/wpoptins/i",$name)){
		wpoptins_update_custom_meta("$name",trim($value));
		}
		
	}
	if($_POST['wpoptins_layout']==''){
	wpoptins_update_custom_meta("wpoptins_layout",'fullwidth');
	}

	if($_POST['wpoptins_use_custom']==''){
	wpoptins_update_custom_meta("wpoptins_use_custom",'');
	}
	if($_POST['wpoptins_enable_exit_page']==''){
	wpoptins_update_custom_meta("wpoptins_enable_exit_page",'');
	}
	if($_POST['wpoptins_redirect']==''){
	wpoptins_update_custom_meta("wpoptins_redirect",'');
	}
	if($_POST['wpoptins_video_sound']==''){
	wpoptins_update_custom_meta("wpoptins_video_sound",'');
	}
	if($_POST['wpoptins_repeat_video']==''){
	wpoptins_update_custom_meta("wpoptins_repeat_video",'');
	}
}

function wpoptins_update_custom_meta($key,$value) {
	global $post;
	update_post_meta($post->ID, $key, $value);
}

// generic retrieve wrapper
function wpoptins_get_custom_meta($key) {
	global $post;
	return get_post_meta($post->ID, $key, true);
}
//Admin Menu
add_action('admin_menu','wpoAdminMenu');

function wpoAdminMenu() {
	$page_title = WPOPTINS_PLUGIN_NAME.' : Custom Fields';
	$menu_title = WPOPTINS_PLUGIN_NAME;
	$capability = 'manage_options';
	$menu_slug = 'wpoptins-custom-fields';
	$function = 'wpoptins_custom_fields';
	add_menu_page($page_title, $menu_title, $capability, $menu_slug, $function);
	
	// We add this submenu page with the same slug as the parent to ensure we don't get duplicates
	$sub_menu_title = 'Custom Fields';
	add_submenu_page($menu_slug, $page_title, $sub_menu_title, $capability, $menu_slug, $function);
	
	// Now add the submenu page for the FAQ page
	$submenu_page_title = WPOPTINS_PLUGIN_NAME.' : Legal Pages';
	$submenu_title = 'Legal Pages';
	$submenu_slug = 'wpoptins-legal-pages';
	$submenu_function = 'wpoptins_legal_pages';
	add_submenu_page($menu_slug, $submenu_page_title, $submenu_title, $capability, $submenu_slug, $submenu_function);

   // add_menu_page(WPOPTINS_PLUGIN_NAME, WPOPTINS_PLUGIN_NAME,'administrator', 'wpoptins_setup', 'wpoptins_setup');        
    //add_submenu_page( 'wpoptins_setup', WPOPTINS_PLUGIN_NAME." - Setup", 'Setup', 'administrator', 'wpoptins_setup', 'wpoptins_setup');
}

//Custom Fields
function wpoptins_custom_fields(){
	include "custom-fields.php";
}
//Legal Pages
function wpoptins_legal_pages(){
	include "legal-pages.php";
}
?>