<?php

$$wpoptins_layout="checked";
$$wpoptins_columns="checked";
$$wpoptins_bullet="checked";
if(!$wpoptins_bullet){
	$nobullet='checked';
}
$$wpoptins_arrows="checked";
if(!$wpoptins_arrows){
	$noarrows='checked';
}
$$wpoptins_box_bg="checked";
$$wpoptins_box_bg_dark="checked";
$$wpoptins_button_color="checked";
$$wpoptins_button_text='selected';
$$wpoptins_bg_style='selected';
$$wpoptins_redirect='checked';

if(!$wpoptins_box_bg){
	$nobox='checked';
}
if(!$wpoptins_box_bg_dark){
	$box='checked';
}
if(!$wpoptins_button_color){
	$Yellow='checked';
}
if(!$wpoptins_layout){
	$classic="checked";
}
$wpoptins_box_opacity='op'.$wpoptins_box_opacity;

$$wpoptins_box_opacity='selected';
$$wpoptins_box_position='selected';
if(!$wpoptins_box_margin){
	$wpoptins_box_margin='0';
}
if(!$wpoptins_box_width){
	$wpoptins_box_width='280';
}

?>

<style>
.wpoptinsDiv{
	border: solid 1px #dfdfdf;
	width:99%;
	padding: 5px;
	padding-left: 10px;
	margin-bottom: 10px;
	margin-top: 15px;
	background: #f1f1f1;
	border-radius:5px;
	-moz-border-radius:5px;
	-webkit-border-radius:5px;
}
.wpoptinsText{
	width:523px;
}
.wpoptinsUpload{
	width:413px;
}
.wpoptinsHeading{
	font-size: 18px;
	font-weight: bold;
}
</style>
<?php $colors='"000000", "555555", "999999", "cccccc", "f5f5f5","ffffff",
	   "990000","b30000","cc0000","ff0000","ff9999","fce4e3",
	   "eb6f00","fd7800","ffba00","fed81d","fff272","ffffcb",
	   "000080", "0000ff","005e90","328cbc","B0E0E6","e0ecf5",
	   "006400","008000","87bb54","9bd761","ADFF2F","eaf4db"';
?>
<script type="text/javascript">
  //Run the code when document ready
  jQuery(function() {    
   jQuery('#wpoptins_bg_color').colorPicker({pickerDefault: "F5F5F5", colors: [<?php echo $colors?>], transparency: true}); 
   jQuery('#wpoptins_table_color').colorPicker({pickerDefault: "FFFFFF", colors: [<?php echo $colors?>], transparency: true}); 
   jQuery('#wpoptins_headline_color').colorPicker({pickerDefault: "CC0000", colors: [<?php echo $colors?>], transparency: true}); 
   jQuery('#wpoptins_subhead_color').colorPicker({pickerDefault: "222222", colors: [<?php echo $colors?>], transparency: true}); 
   jQuery('#wpoptins_logo_color').colorPicker({pickerDefault: "CC0000", colors: [<?php echo $colors?>], transparency: true}); 
  });
</script>

<input type="hidden" name="op" value="save">
<div class="inside">

<div class="wpoptinsDiv">
<p class="wpoptinsHeading">Squeeze Page Layout</p>

<table border="0" cellpadding="3" cellspacing="0">
  <tr>
    <td><label for="classic"><img class="hideGuru" border="0" src="<?php echo WPOPTINS_URL?>/images/LayoutClassic.png" width="97" height="76"></label></td>
    <td><label for="sidebar"><img class="hideGuru" border="0" src="<?php echo WPOPTINS_URL?>/images/LayoutSidebar.png" width="106" height="76"></label></td>
    <td><label for="combo"><img class="hideGuru" border="0" src="<?php echo WPOPTINS_URL?>/images/LayoutCombo.png" width="85" height="76"></label></td>
    <td><label for="fullscreen"><img class="showGuru" border="0" src="<?php echo WPOPTINS_URL?>/images/LayoutFullScreen.png" width="106" height="76"></label></td>
  </tr>
  <tr>
    <td style="padding:0px">
    <p align="center"><input id="classic" type="radio" value="classic" <?php echo $classic?> name="wpoptins_layout"></td>
    <td style="padding:0px">
    <p align="center"><input id="sidebar" type="radio" value="sidebar" <?php echo $sidebar?> name="wpoptins_layout"></td>
    <td style="padding:0px">
    <p align="center"><input id="combo" type="radio" value="combo" <?php echo $combo?> name="wpoptins_layout"></td>
    <td style="padding:0px">
    <p align="center"><input id="fullscreen" type="radio" value="fullscreen" <?php echo $fullscreen?> name="wpoptins_layout"></td>
  </tr>
</table>
</div>
<div class="wpoptinsDiv">
<p class="wpoptinsHeading">Page Settings</p>

<p><b>Background Image</b> (optional)<br>
<span class="howto">Please click "Insert Into Post" after uploading an image.</span>
<input type="text" name="wpoptins_bg_img" id="wpoptins_bg_img" value="<?php echo $wpoptins_bg_img?>" class="wpoptinsUpload upload1" /><input id="1" class="button upload" type=button  value='Upload' >
</p>
<div class="notfullscreen">
<p>
<b>Background Style: </b><select size="1" name="wpoptins_bg_style">
	<option value="full" <?php echo $full?>>Full Screen</option>
	<option value="horizontal" <?php echo $horizontal?>>Horizontal</option>
	<option value="tiled"<?php echo $tiled?>>Tiled</option>
</select>
</p>
</div>
<p>
<b>Background Color: </b> <input id="wpoptins_bg_color" type="text" name="wpoptins_bg_color" value="<?php echo $wpoptins_bg_color?>" /> 
</p>
<!--If Not Full Screen-->

<div class="notfullscreen">
<p>
<b>Table Color:</b> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input id="wpoptins_table_color" type="text" name="wpoptins_table_color" value="<?php echo $wpoptins_table_color?>" />
</p>
<p>
<?php if(!$wpoptins_page_width){$wpoptins_page_width=700;}?>

<b>Table Width:</b> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input name="wpoptins_page_width" type="text" value="<?php echo $wpoptins_page_width?>" style="width:30px">px  
</p>

<p>
<input id="wpoptins_add_border" name="wpoptins_add_border" size="30" value="checked" type="checkbox" <?php echo $wpoptins_add_border?>> <label for="wpoptins_add_border">Add Table Border</label> 
<input id="wpoptins_round_border" name="wpoptins_round_border" size="30" value="checked" type="checkbox" <?php echo $wpoptins_round_border?>> <label for="wpoptins_round_border">Round Border</label> 
<input id="wpoptins_add_shadow" name="wpoptins_add_shadow" size="30" value="checked" type="checkbox" <?php echo $wpoptins_add_shadow?>> <label for="wpoptins_add_shadow">Add Shadow</label> 
</p>

<p><b>Bullet Points</b><br>
<span class="howto">Select a check mark or arrow to replace regular bullets in the editor</span></p>
<p>
<input type="radio" id="checkred" value="checkred" name="wpoptins_bullet" <?php echo $checkred?>> <label for="checkred"> 
<img src="<?php echo WPOPTINS_URL?>images/checkred.png" border="0"></label>
<input type="radio" id="checkgreen" value="checkgreen" name="wpoptins_bullet" <?php echo $checkgreen?>> <label for="checkgreen"> 
<img src="<?php echo WPOPTINS_URL?>images/checkgreen.png" border="0"></label>
<input type="radio" id="checkblue" value="checkblue" name="wpoptins_bullet" <?php echo $checkblue?>> <label for="checkblue"> 
<img src="<?php echo WPOPTINS_URL?>images/checkblue.png" border="0"></label>
<input type="radio" id="checkorange" value="checkorange" name="wpoptins_bullet" <?php echo $checkorange?>> <label for="checkorange"> <img src="<?php echo WPOPTINS_URL?>images/checkorange.png" border="0"></label>
<input type="radio" id="checkblack" value="checkblack" name="wpoptins_bullet" <?php echo $checkblack?>> <label for="checkblack"> <img src="<?php echo WPOPTINS_URL?>images/checkblack.png" border="0"></label>
<input type="radio" id="arrowred" value="arrowred" name="wpoptins_bullet" <?php echo $arrowred?>> <label for="arrowred"> <img src="<?php echo WPOPTINS_URL?>images/arrowred.png" border="0"></label>
<input type="radio" id="arrowgreen" value="arrowgreen" name="wpoptins_bullet" <?php echo $arrowgreen?>> <label for="arrowgreen"> <img src="<?php echo WPOPTINS_URL?>images/arrowgreen.png" border="0"></label>
<input type="radio" id="arrowblue" value="arrowblue" name="wpoptins_bullet" <?php echo $arrowblue?>> <label for="arrowblue"> <img src="<?php echo WPOPTINS_URL?>images/arrowblue.png" border="0"></label>
<input type="radio" id="arroworange" value="arroworange" name="wpoptins_bullet" <?php echo $arroworange?>> <label for="arroworange"> <img src="<?php echo WPOPTINS_URL?>images/arroworange.png" border="0"></label>
<input type="radio" id="arrowblack" value="arrowblack" name="wpoptins_bullet" <?php echo $arrowblack?>> <label for="arrowblack"> <img src="<?php echo WPOPTINS_URL?>images/arrowblack.png" border="0"></label>
<input type="radio" id="nobullet" value="nobullet" name="wpoptins_bullet" <?php echo $nobullet?>> <label for="nobullet"> 
Default</label>
</p>
<p><b>Warning Text</b><br>
<span class="howto">Enter text to appear in the warning box (optional).</span>
<TEXTAREA NAME="wpoptins_warning_text" ROWS="2" COLS="60" class="wpoptinsText"><?php echo $wpoptins_warning_text?></TEXTAREA>
</p>
</div><!--End Not Full Screen-->
</div>

<!--Header Settings-->

<div class="wpoptinsDiv">
<p class="wpoptinsHeading">Header Settings</p>
<p>
<input id="wpoptins_enable_header" name="wpoptins_enable_header" size="30" value="checked" type="checkbox" <?php echo $wpoptins_enable_header?>> <label for="wpoptins_enable_header">Enable Header</label> &nbsp;<input id="wpoptins_enable_sharing" name="wpoptins_enable_sharing" size="30" value="checked" type="checkbox" <?php echo $wpoptins_enable_sharing?>> <label for="wpoptins_enable_sharing">Enable Social Sharing</label> 
</p>
<p>
<b>Logo Image</b>  (optional)<br>
<span class="howto">Please click "Insert Into Post" after uploading an image.</span>
<input type="text" name="wpoptins_logo" id="wpoptins_logo" value="<?php echo $wpoptins_logo?>" class="wpoptinsUpload upload2" /><input id="2" class="button upload" type=button  value='Upload' >
</p>
<p>
<b>Logo Text</b>  (optional)<br>
<span class="howto">If you don't have a logo image, we can create one for you. Just enter the text below.</span>
<input type="text" name="wpoptins_logo_text" id="wpoptins_logo_text" value='<?php echo $wpoptins_logo_text?>' class="wpoptinsText"/>
</p>
<p><b>Logo Style</b><br>
<span class="howto">Select font family, font size, font weight, text shadow, line height, letter spacing, and color.</span>
<?php 
if(!$wpoptins_logo_family){$wpoptins_logo_family='Impact';}
if(!$wpoptins_logo_size){$wpoptins_logo_size='48px';}
if(!$wpoptins_logo_height){$wpoptins_logo_height='80%';}
if(!isset($wpoptins_logo_spacing)){$wpoptins_logo_spacing='-1';}

echo wpoptins_typography('logo',$wpoptins_logo_family, $wpoptins_logo_size, $wpoptins_logo_style, $wpoptins_logo_shadow, $wpoptins_logo_height, $wpoptins_logo_spacing);?> <input name="wpoptins_logo_color" id="wpoptins_logo_color" type="text" value="<?php echo $wpoptins_logo_color?>" />
</p>
</div>

<!--Headline Settings-->

<div class="notfullscreen">

<div class="wpoptinsDiv" id="headline" >
<p class="wpoptinsHeading">Headline Settings</p>

<b>Headline Text</b><br>
<span class="howto">Enter text for your headline. Click "Enter" to add a new line.</span>
<TEXTAREA NAME="wpoptins_headline" ROWS="2" COLS="60" class="wpoptinsText"><?php echo $wpoptins_headline?></TEXTAREA>

<p><b>Headline Style</b><br>
<span class="howto">Select font family, font size, font weight, text shadow, line height, letter spacing, and color.</span>
<?php 
if(!$wpoptins_headline_family){$wpoptins_headline_family='Impact';}
if(!$wpoptins_headline_size){$wpoptins_headline_size='48px';}
if(!$wpoptins_headline_height){$wpoptins_headline_height='80%';}
if(!isset($wpoptins_headline_spacing)){$wpoptins_headline_spacing='-1';}

echo wpoptins_typography('headline',$wpoptins_headline_family, $wpoptins_headline_size, $wpoptins_headline_style, $wpoptins_headline_shadow, $wpoptins_headline_height, $wpoptins_headline_spacing);?> <input name="wpoptins_headline_color" id="wpoptins_headline_color" type="text" value="<?php echo $wpoptins_headline_color?>" />
</p>

<b>Sub-Headline Text</b><br>
<span class="howto">Enter text for your sub-headline. Click "Enter" to add a new line.</span>
<TEXTAREA NAME="wpoptins_subhead" ROWS="2" COLS="60" class="wpoptinsText"><?php echo $wpoptins_subhead?></TEXTAREA>

<p><b>Sub-Headline Style</b><br>
<span class="howto">Select font family, font size, font weight, text shadow, line height, letter spacing, and color.</span>
<?php 
if(!$wpoptins_subhead_family){$wpoptins_subhead_family='Hand of Sean';}
if(!$wpoptins_subhead_size){$wpoptins_subhead_size='28px';}
if(!$wpoptins_subhead_height){$wpoptins_subhead_height='80%';}
if(!isset($wpoptins_subhead_spacing)){$wpoptins_subhead_spacing='-1';}

echo wpoptins_typography('subhead',$wpoptins_subhead_family, $wpoptins_subhead_size, $wpoptins_subhead_style, $wpoptins_subhead_shadow, $wpoptins_subhead_height, $wpoptins_subhead_spacing);?> <input name="wpoptins_subhead_color" id="wpoptins_subhead_color" type="text" value="<?php echo $wpoptins_subhead_color?>" />

</p>
</div>
</div>

<!--Optin Form Settings-->

<div class="wpoptinsDiv">
<p class="wpoptinsHeading">Optin Form Settings</p>

<input id="showCustom" type="checkbox" name="wpoptins_use_custom" value="checked" <?php echo $wpoptins_use_custom?>> <label for="showCustom">I want to use my own form code</label>

<div class="customcode">
<p>
<b>Autoresponder Form Code</b><br>
<span class="howto">Paste the <b>JavaScript code</b> from any autoresponder.</span>
<TEXTAREA NAME="wpoptins_custom_code" ROWS="2" COLS="60" class="wpoptinsText"><?php echo $wpoptins_custom_code?></TEXTAREA>
</p>
</div>
<div class="defaultcode">
<p>
<b>Autoresponder Form Code</b><br>
<span class="howto">Paste the <b>full HTML code</b> from any autoresponder below (not JavaScript).</span>
<TEXTAREA NAME="wpoptins_form_code" ROWS="2" COLS="60" class="wpoptinsText"><?php echo $wpoptins_form_code?></TEXTAREA>
</p>

<p><b>Call to Action</b><br>
<span class="howto">Enter text to appear above the optin form.</span>
<TEXTAREA NAME="wpoptins_action_text" ROWS="2" COLS="60" class="wpoptinsText"><?php echo $wpoptins_action_text?></TEXTAREA>
</p>

<p><b>Privacy Statement</b><br>
<span class="howto">Enter text to appear below the optin form.</span>
<TEXTAREA NAME="wpoptins_privacy_text" ROWS="2" COLS="60" class="wpoptinsText"><?php echo $wpoptins_privacy_text?></TEXTAREA>
</p>

<p><b>Submit Button</b><br>
<span class="howto">Select a color and text for your submit button.</span>
<p>
<input type="radio" id="Yellow" value="Yellow" name="wpoptins_button_color" <?php echo $Yellow?>> <label for="Yellow"> 
<img src="<?php echo WPOPTINS_URL?>images/DownloadNowYellow.png" border="0" width="75" height="23"></label>

<input type="radio" id="Orange" value="Orange" name="wpoptins_button_color" <?php echo $Orange?>> <label for="Orange"> 
<img src="<?php echo WPOPTINS_URL?>images/DownloadNowOrange.png" border="0" width="75" height="23"></label>

<input type="radio" id="Red" value="Red" name="wpoptins_button_color" <?php echo $Red?>> <label for="Red"> 
<img src="<?php echo WPOPTINS_URL?>images/DownloadNowRed.png" border="0" width="75" height="23"></label>

<input type="radio" id="Green" value="Green" name="wpoptins_button_color" <?php echo $Green?>> <label for="Green"> 
<img src="<?php echo WPOPTINS_URL?>images/DownloadNowGreen.png" border="0" width="75" height="23"></label>

<input type="radio" id="Blue" value="Blue" name="wpoptins_button_color" <?php echo $Blue?>> <label for="Blue">
<img src="<?php echo WPOPTINS_URL?>images/DownloadNowBlue.png" border="0" width="75" height="23"></label>
</p>
<p>
<select size="1" name="wpoptins_button_text">
	<option value="DownloadNow" <?php echo $DownloadNow?>>Download Now</option>
	<option value="SubscribeNow"<?php echo $SubscribeNow?>>Subscribe Now</option>
	<option value="SignUpNow" <?php echo $SignUpNow?>>Sign Up Now</option>
	<option value="GetInstantAccess" <?php echo $GetInstantAccess?>>Get Instant Access</option>
	<option value="GetFreeAccess" <?php echo $GetFreeAccess?>>Get Free Access</option>
	<option value="GetEarlyAccess" <?php echo $GetEarlyAccess?>>Get Early Access</option>
	</select>
	</p>


<div class="notfullscreen">
<p><b>Optin Form Colors</b><br>
<span class="howto">Select arrows and background a color for your optin form (optional).</span>
<p>
<input type="radio" id="arrowsred" value="arrowsred" name="wpoptins_arrows" <?php echo $arrowsred?>> <label for="arrowsred"> 
<img src="<?php echo WPOPTINS_URL?>images/arrowsred.png" border="0" width="75" height="35"></label>
<input type="radio" id="arrowsgreen" value="arrowsgreen" name="wpoptins_arrows" <?php echo $arrowsgreen?>> <label for="arrowsgreen"> 
<img src="<?php echo WPOPTINS_URL?>images/arrowsgreen.png" border="0" width="75" height="35"></label>
<input type="radio" id="arrowsblue" value="arrowsblue" name="wpoptins_arrows" <?php echo $arrowsblue?>> <label for="arrowsblue"> 
<img src="<?php echo WPOPTINS_URL?>images/arrowsblue.png" border="0" width="75" height="35"></label>
<input type="radio" id="arrowsorange" value="arrowsorange" name="wpoptins_arrows" <?php echo $arrowsorange?>> <label for="arrowsorange"> <img src="<?php echo WPOPTINS_URL?>images/arrowsorange.png" border="0" width="75" height="35"></label>
<input type="radio" id="arrowsblack" value="arrowsblack" name="wpoptins_arrows" <?php echo $arrowsblack?>> <label for="arrowsblack"> <img src="<?php echo WPOPTINS_URL?>images/arrowsblack.png" border="0" width="75" height="35"></label>
<input type="radio" id="noarrows" value="noarrows" name="wpoptins_arrows" <?php echo $noarrows?>> <label for="noarrows"> 
None</label>
</p>

<p>
<input type="radio" id="boxred" value="boxred" name="wpoptins_box_bg" <?php echo $boxred?>> <label for="boxred"> 
<img src="<?php echo WPOPTINS_URL?>images/boxred.png" border="0" width="75" height="35"></label>
<input type="radio" id="boxgreen" value="boxgreen" name="wpoptins_box_bg" <?php echo $boxgreen?>> <label for="boxgreen"> 
<img src="<?php echo WPOPTINS_URL?>images/boxgreen.png" border="0" width="75" height="35"></label>
<input type="radio" id="boxblue" value="boxblue" name="wpoptins_box_bg" <?php echo $boxblue?>> <label for="boxblue"> 
<img src="<?php echo WPOPTINS_URL?>images/boxblue.png" border="0" width="75" height="35"></label>
<input type="radio" id="boxyellow" value="boxyellow" name="wpoptins_box_bg" <?php echo $boxyellow?>> <label for="boxyellow"> <img src="<?php echo WPOPTINS_URL?>images/boxyellow.png" border="0" width="75" height="35"></label>
<input type="radio" id="boxgrey" value="boxgrey" name="wpoptins_box_bg" <?php echo $boxgrey?>> <label for="boxgrey"> 
<img src="<?php echo WPOPTINS_URL?>images/boxgrey.png" border="0" width="75" height="35"></label>
<input type="radio" id="nobox" value="nobox" name="wpoptins_box_bg" <?php echo $nobox?>> <label for="nobox"> 
None</label>
</p>
</div>
</div>

<!--If Full Screen-->

<div class="fullscreen">
<p><b>Optin Form Color</b><br>
<span class="howto">Select a background color for your optin form.</span>

<p>
<input type="radio" id="boxBlack" value="boxBlack" name="wpoptins_box_bg_dark" <?php echo $boxBlack?>> <label for="boxBlack"> 
<img src="<?php echo WPOPTINS_URL?>images/boxblack.png" border="0" width="75" height="35"></label>
<input type="radio" id="boxDarkGreen" value="boxDarkGreen" name="wpoptins_box_bg_dark" <?php echo $boxDarkGreen?>> <label for="boxDarkGreen"> 
<img src="<?php echo WPOPTINS_URL?>images/boxdarkgreen.png" border="0" width="75" height="35"></label>
<input type="radio" id="boxDarkBlue" value="boxDarkBlue" name="wpoptins_box_bg_dark" <?php echo $boxDarkBlue?>> <label for="boxDarkBlue"> 
<img src="<?php echo WPOPTINS_URL?>images/boxdarkblue.png" border="0" width="75" height="35"></label>
<input type="radio" id="boxDarkRed" value="boxDarkRed" name="wpoptins_box_bg_dark" <?php echo $boxDarkRed?>> <label for="boxDarkRed"> <img src="<?php echo WPOPTINS_URL?>images/boxdarkred.png" border="0" width="75" height="35"></label>
<input type="radio" id="boxWhite" value="boxWhite" name="wpoptins_box_bg_dark" <?php echo $boxWhite;?>> <label for="boxWhite"> 
<img src="<?php echo WPOPTINS_URL?>images/boxwhite.png" border="0" width="75" height="35"></label>
</label>
</p><!--
<p>Opacity: <SELECT NAME="wpoptins_box_opacity">
<option value='100' <?php echo $op100?>>100%</option>
<option value='90' <?php echo $op90?>>90%</option>
<option value='80' <?php echo $op80?>>80%</option>
<option value='70' <?php echo $op70?>>70%</option>
</SELECT> &nbsp;-->
Position: <SELECT NAME="wpoptins_box_position">
<option value='center' <?php echo $center?>>Center</option>
<option value='left' <?php echo $left?>>Left</option>
<option value='right' <?php echo $right?>>Right</option>
</SELECT> &nbsp;
From edge: <input type="text" name="wpoptins_box_margin" value="<?php echo $wpoptins_box_margin?>" size="3">px &nbsp;
Width: <input type="text" name="wpoptins_box_width" value="<?php echo $wpoptins_box_width?>" size="3">px 

</p>
</div>
</div><!--End Full Screen-->

<!--Video Settings-->

<div class="wpoptinsDiv" id="video" >
<p class="wpoptinsHeading">Video Settings</p>

<p><b>Video Embed Code</b><br>
<span class="howto">Paste iframe embed code from any video service (optional).</span>
<TEXTAREA NAME="wpoptins_youtube_code" ROWS="2" COLS="60" class="wpoptinsText"><?php echo $wpoptins_youtube_code?></TEXTAREA>
</p>
</div>

<!--Tracking Code-->

<div class="wpoptinsDiv">
<p class="wpoptinsHeading">Tracking Code</p>
<p>
<b>Enter Header Tracking Code</b><br>
<span class="howto">Enter tracking code or any Javascript that you want added to the header.</span>
<TEXTAREA NAME="wpoptins_header_code" ROWS="2" COLS="60" class="wpoptinsText"><?php echo $wpoptins_header_code?></TEXTAREA>
</p>

<b>Enter Footer Tracking Code</b><br>
<span class="howto">Enter tracking code or any Javascript that you want added to the footer.</span>
<TEXTAREA NAME="wpoptins_footer_code" ROWS="2" COLS="60" class="wpoptinsText"><?php echo $wpoptins_footer_code?></TEXTAREA>
</p>
</div>

<!--Redirect Page-->

<div class="wpoptinsDiv" id="redirect" >
<p class="wpoptinsHeading">Redirect Settings</p>
<input id="useRedirect" type="checkbox" name="wpoptins_redirect" value="checked" <?php echo $wpoptins_redirect?>> <label for="useRedirect">Make this page a squeeze page redirect</label>
<p>
<b>Redirect URL</b>  (required)<br>
<span class="howto">Enter the URL of the destination page.</span>
<input type="text" name="wpoptins_redirect_url" id="wpoptins_logo_text" value='<?php echo $wpoptins_redirect_url?>' class="wpoptinsText"/>
</p>
<p>
<?php if(!$wpoptins_redirect_delay){$wpoptins_redirect_delay=5;}?>

<input name="wpoptins_redirect_delay" type="text" value="<?php echo $wpoptins_redirect_delay?>" style="width:30px"> Delay in seconds before page redirects  
</p>
</div>

<!--Exit Page-->

<?php
$options = array();
$of_pages_obj = get_pages('sort_column=post_parent,menu_order');    
foreach ($of_pages_obj as $of_page) {
    $options[$of_page->ID] = $of_page->post_title;
}
//$of_pages_tmp = array_unshift($options, "Select a Page");       

?>

<div class="wpoptinsDiv" id="exit" >
<p>
<b>Exit Text</b><br>
<span class="howto">Enter text to display when someone attempts to leave this page.</span>
<TEXTAREA NAME="wpoptins_exit_text" ROWS="2" COLS="60" class="wpoptinsText"><?php echo $wpoptins_exit_text?></TEXTAREA>
</p>

<b>Exit Page</b><br>
<span class="howto">Select a page to redirect to after the visitor confirms.</span>
<select name="wpoptins_exit_page" id="wpoptins_exit_page">
		<option value="">Select a Page</option>
	<?php foreach ($options as $post_id=>$post_title): ?>
		<option <?php if($post_id == $wpoptins_exit_page) echo 'selected';?> value="<?php echo $post_id?>"><?php echo $post_title?></option>
	<?php endforeach ?>
</select>
</p>
</div>

</div><!--inside-->

<!--JQuery Function-->
<script>
<?php if($wpoptins_layout == 'fullscreen'):?>
    jQuery(".fullscreen").show("medium");
    jQuery(".notfullscreen").hide("medium");
<?php else :?>
    jQuery(".notfullscreen").show("medium");
    jQuery(".fullscreen").hide("medium");
<?php endif;?>
<?php if($wpoptins_use_custom == 'checked'):?>
    jQuery(".customcode").show("medium");
    jQuery(".defaultcode").hide("medium");
<?php else :?>
    jQuery(".defaultcode").show("medium");
    jQuery(".customcode").hide("medium");
<?php endif;?>

    jQuery(".showGuru").click(function () {
    jQuery(".fullscreen").show("medium");
    jQuery(".notfullscreen").hide("medium");
    });
	jQuery(".hideGuru").click(function () {
    jQuery(".notfullscreen").show("medium");
    jQuery(".fullscreen").hide("medium");
    });
    jQuery("#showCustom").click(function () {
		if (jQuery(this).is(':checked')) {
		   jQuery(".customcode").show("medium");
		   jQuery(".defaultcode").hide("medium");
		}
		else{
		   jQuery(".defaultcode").show("medium");
		   jQuery(".customcode").hide("medium");
		}
    });
</script>
<script>	
	jQuery(document).ready(function() {
	var fileInput = null;

	jQuery(".upload").click(function() {
		id = this.id;
		fileInput = jQuery(this).parent().parent().find("input.upload"+id);
		formfield = jQuery("#bg_img").attr("name");
		post_id = jQuery("#post_ID").val();
		tb_show("", "media-upload.php?post_id="+post_id+"&amp;type=image&amp;TB_iframe=true");
		jQuery("#TB_overlay,#TB_closeWindowButton").bind("click",function(){formfield=null;});
		return false;
	});
	window.original_send_to_editor = window.send_to_editor;
	window.send_to_editor = function(html){
		if (fileInput) {
			fileurl = jQuery("img",html).attr("src");
			fileInput.val(fileurl);
			tb_remove();
		} else {
			window.original_send_to_editor(html);
		}
		fileInput = null;
	};
});
</script>

<!--Headline Function-->

<?php function wpoptins_typography($type,$family_value,$size_value,$style_value,$shadow_value,$height_value,$spacing_value){
	$font_family = array("Arial", "Georgia", "Hand of Sean", "Impact", "Myriad Pro", "Tahoma",  "Vegur", "Verdana");
	$font_size = array("10px", "11px", "12px", "13px", "14px", "15px", "16px", "17px", "18px", "19px", "20px", "21px", "22px", "23px", "24px", "25px", "26px", "27px", "28px", "29px", "30px", "31px", "32px", "33px", "34px", "35px", "36px", "37px", "38px", "39px", "40px", "41px", "42px", "43px", "44px", "45px", "46px", "47px", "48px", "49px", "50px", "51px", "52px", "53px", "54px", "55px", "56px", "57px", "58px", "59px", "60px", "61px", "62px", "63px", "64px", "65px", "66px", "67px", "68px", "69px", "70px", "71px", "72px", "73px", "74px", "75px", "76px", "77px", "78px", "79px", "80px", "81px", "82px", "83px", "84px", "85px", "86px", "87px", "88px", "89px", "90px", "91px", "92px", "93px", "94px", "95px", "96px", "97px", "98px", "99px", "100px");
	$font_style = array("Normal", "Italic", "Bold", "Bold/Italic");
	$text_shadow = array("None","Small", "Medium", "Large");
	$line_height = array("70%", "75%", "80%", "85%", "90%", "95%", "100%");
	$letter_spacing = array("-3", "-2", "-1", "0", "1", "2", "3");

?>
<select name="wpoptins_<?php echo $type?>_family" id="wpoptins_<?php echo $type?>_family">
<?php foreach($font_family as $field){?>
	<option <?php if($field == $family_value)echo 'selected';?>><?php echo $field; ?></option>
<?php }?>
</select>
<select name="wpoptins_<?php echo $type?>_size" id="wpoptins_<?php echo $type?>_size">
<?php foreach($font_size as $field){?>
	<option <?php if($field == $size_value)echo 'selected';?>><?php echo $field; ?></option>
<?php }?>
</select>
<select name="wpoptins_<?php echo $type?>_style" id="wpoptins_<?php echo $type?>_style">
<?php foreach($font_style as $field){?>
	<option <?php if($field == $style_value)echo 'selected';?>><?php echo $field; ?></option>
<?php }?>
</select>

<select name="wpoptins_<?php echo $type?>_shadow" id="wpoptins_<?php echo $type?>_shadow">
<?php foreach($text_shadow as $field){?>
	<option <?php if($field == $shadow_value)echo 'selected';?>><?php echo $field; ?></option>
<?php }?>
</select>

<select name="wpoptins_<?php echo $type?>_height" id="wpoptins_<?php echo $type?>_height">
<?php foreach($line_height as $field){?>
	<option <?php if($field == $height_value)echo 'selected';?>><?php echo $field; ?></option>
<?php }?>
</select>

<select name="wpoptins_<?php echo $type?>_spacing" id="wpoptins_<?php echo $type?>_spacing">
<?php foreach($letter_spacing as $field){?>
	<option <?php if($field == $spacing_value)echo 'selected';?>><?php echo $field; ?></option>
<?php }?>
</select>

<?php }?>