<style>



a,a:visited{

	color: blue;

}

a:hover{

	color: #cc0000;

}

td{

	font-family: Arial;

	font-size: 18px;

}

html,body{

	font-family:arial;

	background-color: <?=$bg_color;?>;

	<?if($bg_img):?>

		background-attachment:fixed;

		background-image: url(<?=$bg_img;?>);

		background-repeat:no-repeat;

		background-size: cover;

		-webkit-background-size: cover;

		-moz-background-size: cover;

	<?endif;?>

	margin: 0px;

	padding: 0px;

}

#container{

<?if($layout == "guruoptin"):?>

	<?if($mobile):?>

	margin-top:10px;

	<?else:?>

	margin-top:0px;

	<?if($box_position == 'right'):?>

		float:right;

		margin-right:200px;

	<?endif;?>

	<?if($box_position == 'left'):?>

		float:left;

		margin-left:200px;

	<?endif;?>

<?endif;?>

<?else:?>

	<?if($mobile):?>

		margin-top:10px;

		width: 280px;

		<?else:?>

		margin-top: <?=$margin_top?>px;

		width: <?=$page_width?>px;

	<?endif;?>

	margin-left: auto;

	margin-right: auto;

<?endif;?>



}

#logo{

	padding:0px;

	text-align:center;

	<?if($layout == "guruoptin" AND !$mobile):?>

	position: relative;	top: 120px;

	<?else:?>

	margin-top: <?=$margin_top?>px;

	<?endif;?>

}

#table{

	background-color:<?=$table_color;?>;

	-moz-border-radius: <?=$border_radius?>;

	-webkit-border-radius: <?=$border_radius?>;

	-khtml-border-radius: <?=$border_radius?>;

	border-radius: <?=$border_radius?>;

	-moz-box-shadow: 0 0 <?=$border_shadow?> rgba(0,0,0,.3);

	-webkit-box-shadow: 0 0 <?=$border_shadow?>  rgba(0,0,0,.3);

	box-shadow: 0px 0px <?=$border_shadow?>  rgba(0,0,0,.3);

	border: <?php echo $border_style.' '.$border_width.' '.$border_color; ?>;

	}

#content{

	padding: <? echo $padding;?>px;

	padding-top: <? echo $padding_top;?>px;



}

#header{

	padding:0px;

	margin: 0px;

	text-align:center;

}



<?if($mobile):?>

#optin{text-align:left;}

<?else:?>

#optin{text-align:center;}

<?endif;?>



/*footer*/



#footer{

	margin-left:-30px;

	margin-top: 10px;

	font-family: Arial;

	text-align:center;

	<?if($layout == "guruoptin"):?>

	position: relative;	top: 120px;

	<?else:?>

	padding-bottom: 30px;

	<?endif;?>

}

#footer ul, #footer li{

	list-style:none;

	display:inline;

}



#footer li a{

	padding-right:5px;

	display:inline;

	text-decoration: underline;

	color: #999999;

	<?if($mobile):?>

	font-size: 8px;

	<?else:?>

	font-size: 13px;

	<?endif;?>

}

#footer li a:hover{

	text-decoration: underline;

	color: #999999;

}

#hidden{

visibility: hidden;

}



/* fonts */



.impact, .myunderwood, .couriernew{

	margin-bottom:20px;

	line-height: 100%;

}

.handofsean{

margin-bottom: 15px;

line-height: 125%;

}

.myriadpro{

	margin-bottom: 15px;

	line-height: 100%;

	letter-spacing: -3;

}



form .text {

<?if($mobile):?>

	border: solid 1px #E5E5E5;

<?else:?>

	border:0;

	border-bottom: solid 1px #E5E5E5;

	box-shadow: inset 0 2px 2px rgba(0,0,0,0.3);

	-moz-box-shadow: inset 0 2px 2px rgba(0,0,0,0.3);

	-webkit-box-shadow: inset 0 2px 2px rgba(0,0,0,.3);

	<?endif;?>

	<?if($box_style=='round'):?>

	border-radius:4px;

	-moz-border-radius:4px;

	-webkit-border-radius:4px;

	<?endif;?>

	color:#202020;

	font-size:16px;

	margin-bottom:10px;

	padding:6px;

	width:92%;

	position:relative;

	text-align: center;

}

form .submit {

	-webkit-appearance: none;

	font-family:Arial;

	font-weight: bold;

	font-size:16px; 

	padding:6px;

	<?if($box_style=='round'):?>

	border-radius: 4px;

	-moz-border-radius:4px;

	-webkit-border-radius:4px;

	<?endif;?>

	position:relative;

	width:95%;



<?if($button_color=='buttonBlue'):?>

background:#059EDD;

border:1px solid #6ed4ff;

color:#fcfcfc;

<?endif;?>

<?if($button_color=='buttonGold'):?>

background:#F7B519;

color:#000;

border:1px solid #F3CF51;

<?endif;?>

<?if($button_color=='buttonRed'):?>

background:#b30000;

border:1px solid #990000;

color:#fcfcfc;

<?endif;?>

<?if($button_color=='buttonGreen'):?>

background:#69B717;

border:1px solid #68E81E;

color:#fcfcfc;

<?endif;?>

<?if($button_color=='buttonYellow'):?>

background:#FFE229;

border:1px solid #FFFF45;

color:#004764;

<?endif;?>

<?if($button_color=='buttonOrange'):?>

background:#FD8900;

border:1px solid #FC8038;

color:#091833;

<?endif;?>

}

form .submit:hover{

<?if($button_color=='buttonBlue'):?>

background-color:#00AFF0;

<?endif;?>

<?if($button_color=='buttonGold'):?>

background-color:#FFD000;

<?endif;?>

<?if($button_color=='buttonGreen'):?>

background-color:#7BD41C;

<?endif;?>

<?if($button_color=='buttonOrange'):?>

background-color:#FDAF03;

<?endif;?>

<?if($button_color=='buttonRed'):?>

background-color:#D40000;

<?endif;?>

<?if($button_color=='buttonYellow'):?>

background-color:#FFFF00;

<?endif;?>

}

img{border:0;margin-bottom: 10px;}



.alignleft{

	float: left;

	margin-right:10px;

}

.alignright{

	float: right;

	margin-left:10px;

}

.aligncenter {

	display: block;

	margin-left: auto;

	margin-right: auto;

}

<?if($round_border):?>



.round{

	border-radius:10px;

	-moz-border-radius:10px;

	-webkit-border-radius:10px;

}

<?endif;?>



.box{

	<?if($mobile):?>

		<?if($layout=='guruoptin'):?>

			width:260px;

		<?else:?>

			width:200px;

		<?endif;?>

	<?else:?>

	width: <?php echo $box_width;?>px;

	<?if($layout=='guruoptin'):?>

	position: relative;	top: 120px;

	<?endif;?>

	<?endif;?>

	text-align: center;

	margin-left: auto;

	margin-right: auto;



<?if($box_bg):?>

	padding:20px;

	<?$box_opacity=$box_opacity/100;?>



	<?if($box_bg=='boxBlue'):?>

		background: rgba(<?echo get_rgb('114C98');?>,<?=$box_opacity;?>); 

		color: #fff;

	<?elseif($box_bg=='boxBlack'):?>

		background: rgba(<?echo get_rgb('000000');?>,<?=$box_opacity;?>); 

		color: #fff;

	<?elseif($box_bg=='boxGreen'):?>

		background: rgba(<?echo get_rgb('005703');?>, <?=$box_opacity;?>); 

		color: #fff;

	<?elseif($box_bg=='boxRed'):?>

		background: rgba(<?echo get_rgb('990000');?>,<?=$box_opacity;?>); 

		color: #fff;

	<?elseif($box_bg=='boxGold'):?>

		background: rgba(<?echo get_rgb('FFE9A8');?>,<?=$box_opacity;?>); 

		border:1px solid #EBD080;

	<?elseif($box_bg=='boxWhite'):?>

		background: rgba(<?echo get_rgb('ffffff');?>,<?=$box_opacity;?>); 

	<?endif;?>



<?endif;?>

}  



.actionText{

	margin-bottom: 10px;

}

.privacyText{

	margin-top: 10px;

	font-size: 15px;

	<?if($box_bg == 'boxBlack' OR $box_bg == 'boxGreen' OR $box_bg == 'boxBlue' OR $box_bg == 'boxRed'):?>

	color: #999999;

	<?endif;?>

	text-align: center;

}

.privacyText img{

	margin-bottom: -1px;

	margin-right: 5px;

}



/* Checks & Bullets */

ul.checkred,

ul.checkblue,

ul.checkgreen,

ul.arrowred,

ul.arrowblue,

ul.arrowgreen,

ul.plusred,

ul.plusblue,

ul.plusgreen

{

	list-style-type:none;

	margin:0;

	padding:0;

}



ul.checkred li,

ul.checkblue li,

ul.checkgreen li,

ul.arrowred li,

ul.arrowblue li,

ul.arrowgreen li,

ul.plusred li,

ul.plusblue li,

ul.plusgreen li{

	padding:0 0 10px 35px;

	line-height:27px;

}

ul.checkred li{

	background:url(<?=WPOPTINS_URL?>tinymce/img/checkred.png) no-repeat top left;

}

ul.checkblue li{

	background:url(<?=WPOPTINS_URL?>tinymce/img/checkblue.png) no-repeat top left;

}



ul.checkgreen li{

	background:url(<?=WPOPTINS_URL?>tinymce/img/checkgreen.png) no-repeat top left;

}



ul.arrowred li{

	background:url(<?=WPOPTINS_URL?>tinymce/img/arrowred.png) no-repeat top left;

}

ul.arrowblue li{

	background:url(<?=WPOPTINS_URL?>tinymce/img/arrowblue.png) no-repeat top left;

}



ul.arrowgreen li{

	background:url(<?=WPOPTINS_URL?>tinymce/img/arrowgreen.png) no-repeat top left;

}



ul.plusred li{

	background:url(<?=WPOPTINS_URL?>tinymce/img/plusred.png) no-repeat top left;

}





ul.plusblue li{

	background:url(<?=WPOPTINS_URL?>tinymce/img/plusblue.png) no-repeat top left;

}





ul.plusgreen li{

	background:url(<?=WPOPTINS_URL?>tinymce/img/plusgreen.png) no-repeat top left;

}

.video{

margin: 0 auto 0 auto;

text-align: center;

}

.box1{

	background:#e7e7e7;

	border:1px solid #b9b9b9;

	margin-bottom: 15px;

}



.box2{

	background:#e0ecf5;

	border:1px solid #438ec5;

	margin-bottom: 15px;

}



.box3{

	background:#eaf4db;

	border:1px solid #8ea474;

	margin-bottom: 15px;

}



.box4{

	background:#ffffcb;

	border:1px solid #fff0ae;

	margin-bottom: 15px;

}



.box5{

	background:#fce4e3;

	border:1px solid #ce0b0b;

	margin-bottom: 15px;

}



.round{

	border-radius:10px;

	-moz-border-radius:10px;

	-webkit-border-radius:10px;

}

</style>

<?php

function get_rgb($hex){

$r = substr($hex, 0, 2);

$g = substr($hex, -4, 2);

$b = substr($hex, -2);

$box_opacity='.7';

$rgb=hexdec($r).','.hexdec($g).','.hexdec($b);

return $rgb;

}

?>