<?php

/**

 * @package IM Sales

 */

// this file contains the contents of the popup window

$border = array("solid", "Dotted", "dashed", "double", "groove", "ridge", "inset", "outset");

$bordersz = array("1px", "2px", "3px", "4px", "5px", "6px", "7px", "8px", "9px", "10px", "11px", "12px", "13px", "14px", "15px", "16px", "17px", "18px", "19px", "20px", "21px", "22px", "23px", "24px", "25px", "26px", "27px", "28px", "29px", "30px", "31px", "32px", "33px", "34px", "35px", "36px", "37px", "38px", "39px", "40px", "41px", "42px", "43px", "44px", "45px", "46px", "47px", "48px", "49px", "50px", "51px", "52px", "53px", "54px", "55px", "56px", "57px", "58px", "59px", "60px", "61px", "62px", "63px", "64px", "65px", "66px", "67px", "68px", "69px", "70px", "71px", "72px");

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>

<title>Insert Box</title>

<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.6.1/jquery.js"></script>

<script type="text/javascript" src="../../../../wp-includes/js/tinymce/tiny_mce_popup.js"></script>

<style type="text/css" src="../../../../wp-includes/js/tinymce/themes/advanced/skins/wp_theme/dialog.css"></style>

<link rel="stylesheet" href="css/style.css" />



<script type="text/javascript"> 

	var ButtonDialog = {

	local_ed : 'ed',

	init : function(ed) {

		ButtonDialog.local_ed = ed;

		tinyMCEPopup.resizeToInnerSize();

		jQuery('#custButton-dialog #box-text').val(ButtonDialog.local_ed.selection.getContent());

	},

	insert : function insertButton(ed) {

	 

		// Try and remove existing style / blockquote

		tinyMCEPopup.execCommand('mceRemoveNode', false, null);

		 

		// set up variables to contain our input values

		var text = jQuery('#custButton-dialog #box-text').val();

		var box = jQuery('input[name=box]:checked').val();



		var width = jQuery('#custButton-dialog #box-size').val() + 'px';

		var padd = jQuery('#custButton-dialog #box-padd').val() + 'px';



		var style = jQuery('#custButton-dialog #box-style').val();		 

		var align = jQuery('#custButton-dialog #box-align').val();

		var btyp =jQuery('#custButton-dialog #border_type').val();

		var b_size =jQuery('#custButton-dialog #border_size').val() +'px';

		var b_color =jQuery('#custButton-dialog #border_color').val();



		

		var output = '';

		

		output = '<div style="';

		output += 'width:' + width + '; ';

		output += 'padding:' + padd + '; ';

		if(align=='center'){

		output +='margin: 0 auto 0 auto;';			

		}

		else{

		output += 'float:' + align + '; ';

		}

		output += 'border-width:' + b_size + '; ';

		output += 'border-style:' + btyp + '; ';

		output += 'border-color:' + b_color + '; ';

		output += '" class="';

		output +=  style + ' ';

		output +=  box;

		output += '">'+ text + '</div>&nbsp;';

			

		tinyMCEPopup.execCommand('mceReplaceContent', false, output);

		 

		// Return

		tinyMCEPopup.close();

	}

};

tinyMCEPopup.onInit.add(ButtonDialog.init, ButtonDialog);

</script>

<script language="JavaScript" type="text/javascript">



	var Lst;



	function CngClass(obj){

	 if (Lst) Lst.className='unselected';

	 obj.className='selected';

	 Lst=obj;

	}



</script>

<style>

.selected{

	border: solid 4px #ccc;

}

.unselected{

	border: solid 4px #f1f1f1;

}

.hidden{

	visibility: hidden; position: absolute;

}

.clear{

	display: block;

}



</style>

</head>

<body>

	<div id="custButton-dialog" class="box">

		<form action="/" method="get" accept-charset="utf-8">

			<div>

				<label for="box-text">Box Text:</label>

				<p><textarea type="text" name="box-text" value="" id="box-text" rows="5" cols="65"></textarea></p>

			</div>

			<label>Box Type:</label>

				<div>

					<label for="box1"><img src="img/box1.png" alt="" class="unselected" onclick="CngClass(this);" /></label> 



					<label for="box2"><img src="img/box2.png" alt="" class="unselected" onclick="CngClass(this);" /></label>



					<label for="box3"><img src="img/box3.png" alt="" class="unselected" onclick="CngClass(this);" /></label>



					<label for="box4"><img src="img/box4.png" alt="" class="unselected" onclick="CngClass(this);" /></label>



					<label for="box5"><img src="img/box5.png" alt="" class="unselected" onclick="CngClass(this);" /></label>

				</div>

					<input type="radio" id="box1" value="box1" name="box" checked="checked" class="hidden" />

					<input type="radio" id="box2" value="box2" name="box" class="hidden" />

					<input type="radio" id="box3" value="box3" name="box" class="hidden" />

					<input type="radio" id="box4" value="box4" name="box" class="hidden" />

					<input type="radio" id="box5" value="box5" name="box" class="hidden" />



			<div id="width">

				<label for="box-size"><b>Width:</b></label>

				<input name="buttonboxsize" id="box-size" value="500" /> (px)

				

				<em><label for="box-pad">Padding:</label>

				<input name="buttonboxpadd" id="box-padd" value="20" /> (px)</em>

			</div>

			<div id="sel">

				<label for="box-style"><b>Style:</b></label>

				<select name="box-style" id="box-style" size="1">

					<option value="square" selected="selected">Square</option>

					<option value="round">Round</option>

				</select>

				

				<em><label for="box-align">Alignment:</label>

				<select name="box-align" id="box-align" size="1">

					<option value="none" selected="selected">None</option>

					<option value="left"=>Left</option>

					<option value="center" selected="selected">Center</option>

					<option value="right">Right</option>

				</select></em>

			</div>

			

			<div class="border">

				<label>Border: </label> <select name="border_type" id="border_type">

				<?php foreach($border as $field){?>

					<option value="<?php echo $field; ?>"><?php echo $field; ?></option>

				<?php }?>



				</select>

				<input name="border_size" id="border_size" value="1" />(px) 

					<select name="border_color" id="border_color" size="1">

					<option value="#000">Black</option>

					<option value="#438ec5"=>Blue</option>

					<option value="#fff0ae">Gold</option>

					<option value="#b9b9b9">Grey</option>

					<option value="#8ea474">Green</option>

					<option value="#ce0b0b">Red</option>

				</select>

			</div>



			

			<div class="clear rt">	

				<a href="javascript:ButtonDialog.insert(ButtonDialog.local_ed)" id="insert" style="display: block; line-height: 24px; text-decoration:none;">Insert</a>

			</div>

		</form>

	</div>

	<div class="clear"></div>

</body>

</html>