<?php

/**

 * @package IM Sales

 */

// this file contains the contents of the popup window

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>

<title>Insert Button</title>

<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.6.1/jquery.js"></script>

<script language="javascript" type="text/javascript" src="../../../../wp-includes/js/tinymce/tiny_mce_popup.js"></script>

<script language="javascript" type="text/javascript" src="../js/jscolor.js"></script>

<style type="text/css" src="../../../../wp-includes/js/tinymce/themes/advanced/skins/wp_theme/dialog.css"></style>

<link rel="stylesheet" href="css/style.css" />



<script type="text/javascript">

 

var ButtonDialog = {

	local_ed : 'ed',

	init : function(ed) {

		ButtonDialog.local_ed = ed;

		tinyMCEPopup.resizeToInnerSize();

		jQuery('#custButton-dialog input#button-text').val(ButtonDialog.local_ed.selection.getContent());

	},

	insert : function insertButton(ed) {

	 

		// Try and remove existing style / blockquote

		tinyMCEPopup.execCommand('mceRemoveNode', false, null);

		 

		// set up variables to contain our input values

		var url = jQuery('#custButton-dialog input#button-url').val();

		var text = jQuery('#custButton-dialog input#button-text').val();

		var size = jQuery('#custButton-dialog input#button-size').val();

		var color = jQuery('#custButton-dialog input#button-color').val();		 

		var textcolor = jQuery('#custButton-dialog input#button-textcolor').val();

		var style = jQuery('#custButton-dialog select#button-style').val();		 

		var align = jQuery('#custButton-dialog select#button-align').val();		 

		

		var output = '';

		

		output = '[button ';

			output += 'size="' + size + 'px" ';

			output += 'style="' + style + '" ';

			output += 'color="#' + color + '" ';

			output += 'textcolor="#' + textcolor + '" ';			

			output += 'align="' + align + '"';

			

			if(url)

				output += ' url="' + url + '"';

			output += ']'+ text + '[/button]';



		tinyMCEPopup.execCommand('mceReplaceContent', false, output);

		 

		// Return

		tinyMCEPopup.close();

	}

};

tinyMCEPopup.onInit.add(ButtonDialog.init, ButtonDialog);

 

</script>



</head>

<body>

	<div id="custButton-dialog">

		<form action="/" method="get" accept-charset="utf-8">

			<div>

				<label for="button-url">Button URL</label>

				<span><input type="text" name="button-url" value="" id="button-url" /></span>

			</div>

			<div>

				<label for="button-text">Button Text</label>

				<span><input type="text" name="button-text" value="" id="button-text" /></span>

			</div>

			<div>

				<label for="button-size">Size</label>

				<span><input name="button-size" id="button-size" value="200" /> (px)</span>

			</div>

			<div>

				<label for="button-style">Style</label>

				<span><select name="button-style" id="button-style" size="1">

					<option value="less_round">Less Round</option>

					<option value="round" selected="selected">Round</option>

					<option value="square">Square</option>

				</select></span>

			</div>

			<div>

				<label for="button-color">Background Color</label>

				<span><input name="button-color" id="button-color" class="color" value="000000"></span>

			</div>

			<div>

				<label for="button-color">Text Color</label>

				<span><input name="button-textcolor" id="button-textcolor" class="color" value="ffffff"></span>

			</div>

			<div>

				<label for="button-align">Alignment</label>

				<span><select name="button-align" id="button-align" size="1">

					<option value="" selected="selected">None</option>

					<option value="left"=>Left</option>

					<option value="right">Right</option>

				</select></span>

			</div>

			<div class="clear rt">	

				<a href="javascript:ButtonDialog.insert(ButtonDialog.local_ed)" id="insert" style="display: block; line-height: 24px; text-decoration:none;">Insert</a>

			</div>

		</form>

	</div>

	<div class="clear"></div>

</body>

</html>