<?php

/**

 * @package IM Sales

 */

// this file contains the contents of the popup window

$fontsz = array("10px", "11px", "12px", "13px", "14px", "15px", "16px", "17px", "18px", "19px", "20px", "21px", "22px", "23px", "24px", "25px", "26px", "27px", "28px", "29px", "30px", "31px", "32px", "33px", "34px", "35px", "36px", "37px", "38px", "39px", "40px", "41px", "42px", "43px", "44px", "45px", "46px", "47px", "48px", "49px", "50px", "51px", "52px", "53px", "54px", "55px", "56px", "57px", "58px", "59px", "60px", "61px", "62px", "63px", "64px", "65px", "66px", "67px", "68px", "69px", "70px", "71px", "72px");

$fontwtz = array("Normal", "Italic", "Bold", "Bold/Italic");

$fontalg = array("left", "right", "center", "justify");

$border = array("Dotted", "dashed", "solid", "double", "groove", "ridge", "inset", "outset");

$bordersz = array("0px", "1px", "2px", "3px", "4px", "5px", "6px", "7px", "8px", "9px", "10px", "11px", "12px", "13px", "14px", "15px", "16px", "17px", "18px", "19px", "20px", "21px", "22px", "23px", "24px", "25px", "26px", "27px", "28px", "29px", "30px", "31px", "32px", "33px", "34px", "35px", "36px", "37px", "38px", "39px", "40px", "41px", "42px", "43px", "44px", "45px", "46px", "47px", "48px", "49px", "50px", "51px", "52px", "53px", "54px", "55px", "56px", "57px", "58px", "59px", "60px", "61px", "62px", "63px", "64px", "65px", "66px", "67px", "68px", "69px", "70px", "71px", "72px");

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>

<title>Text Style</title>

<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.6.1/jquery.js"></script>

<script language="javascript" type="text/javascript" src="../../../../wp-includes/js/tinymce/tiny_mce_popup.js"></script>

<script language="javascript" type="text/javascript" src="../js/jscolor.js"></script>

<style type="text/css" src="../../../../wp-includes/js/tinymce/themes/advanced/skins/wp_theme/dialog.css"></style>

<link rel="stylesheet" href="css/style.css" />



<script type="text/javascript"> 

var ButtonDialog = {

	local_ed : 'ed',

	init : function(ed) {

		ButtonDialog.local_ed = ed;

		tinyMCEPopup.resizeToInnerSize();

		jQuery('#custButton-dialog #box-text').val(ButtonDialog.local_ed.selection.getContent());

	},

	insert : function insertButton(ed) {

	 

		// Try and remove existing style / blockquote

		tinyMCEPopup.execCommand('mceRemoveNode', false, null);

		 

		// set up variables to contain our input values

		var text = jQuery('#custButton-dialog #box-text').val();

		var font = jQuery('#custButton-dialog #page_font').val();

		var fontsz = jQuery('#custButton-dialog #page_fontsz').val();

		var fontwt = jQuery('#custButton-dialog #page_fontwt').val();

		var fontclr = jQuery('#custButton-dialog #page_ftcolor').val();

		var lnhight = jQuery('#custButton-dialog #lnhight').val();

		var lettersp = jQuery('#custButton-dialog #lettersp').val();

		var textalg = jQuery('#custButton-dialog #page_fontalg').val();

		var txtshadow = jQuery('#custButton-dialog #txtshadow').val();





		output = '<div class="';

			output += font + ' ' + txtshadow + '" style="';

			output += 'color:#' + fontclr + '; ';

			output += 'font-family:' + font + '; ';

			output += 'font-weight:' + fontwt + '; ';

			output += 'font-size:' + fontsz + 'px; ';

			output += 'line-height:' + lnhight + '%; ';

			output += 'letter-spacing:' + lettersp + 'px" ';

			output += 'text-align:' + textalg + '; ';

			output += '">' + text + '</div>&nbsp;';



		tinyMCEPopup.execCommand('mceReplaceContent', false, output);

		 

		// Return

		tinyMCEPopup.close();

	}

};

tinyMCEPopup.onInit.add(ButtonDialog.init, ButtonDialog);

</script>



</head>

<body>

	<div id="custButton-dialog" class="box">

		<form action="/" method="get" accept-charset="utf-8">

			<div class="typo">

				<label for="box-text">Cufon Text:</label>

				<p><textarea type="text" name="box-text" value="" id="box-text" rows="5" cols="65"></textarea></p><br />

				<p><strong>Text Typography:</strong><br /><br />

				<select name="page_font" id="page_font">

					<option value="Arial">Arial</option>

					<option value="Georgia">Georgia</option>

					<option value="HandofSean">Hand of Sean</option>

					<option value="Impact">Impact</option>

					<option value="MyriadPro">Myriad Pro</option>

					<option value="Tahoma">Tahoma</option>

					<option value="Vegur">Vegur</option>

					<option value="Verdana">Verdana</option>

					

				</select>

				<input name="page_fontsz" id="page_fontsz" value="12" />(px) 

				<select name="page_fontwt" id="page_fontwt">

				<?php foreach($fontwtz as $field){?>

					<option value="<?php echo $field; ?>"><?php echo $field; ?></option>

				<?php }?>

				</select>

				<input class="color" name="page_ftcolor" id="page_ftcolor" type="text" value="cc0000" /></p>

			</div>



			<div class="typo">

				<p>Line Height: <input type="text" name="lnhight" id="lnhight" value="80" />% 

				<em>Letter Spacing: <input type="text" name="lettersp" id="lettersp" value="-1" />%</em></p>

			</div>

			

			<div class="typo"> 

				<p>Text Align: 

				<select name="page_fontalg" id="page_fontalg">

				<?php foreach($fontalg as $field){?>

					<option value="<?php echo $field; ?>"><?php echo $field; ?></option>

				<?php }?>

				</select>

				<em>Text Shadow: <select name="shadow" id="txtshadow">

					<option value="shadNone">None</option>

					<option value="shadLess">Less</option>

					<option value="shadMedium">Medium</option>

					<option value="shadHigh">High</option>

				</select></em></p>

			</div>

			

			<div class="typo" id="bx"> 

				<p>

				</p>

			</div>			



			

			<div class="clear rt">	

				<a href="javascript:ButtonDialog.insert(ButtonDialog.local_ed)" id="insert" style="display: block; line-height: 24px; text-decoration:none;">Insert</a>

			</div>

		</form>

	</div>

	<div class="clear"></div>

</body>

</html>