//youtube plugin

(function() {

	tinymce.create('tinymce.plugins.newPlugin', {

		init : function(ed, url) {

			ed.addCommand('tinynew', function() {

				ed.windowManager.open({

					file : url + '/youtube.php',

					width : 250 + parseInt(ed.getLang('new.delta_width', 0)),

					height : 160 + parseInt(ed.getLang('new.delta_height', 0)),

					inline : 1

				}, {

					plugin_url : url

				});

			});

			ed.addButton('yt', {title : 'Insert Youtube Video', cmd : 'tinynew', image: url + '/img/video.png' });

			

			// Custom Button 

			

			ed.addCommand('mcebutton1', function() {

				ed.windowManager.open({

					file : url + '/button.php', 

					width : 320 + parseInt(ed.getLang('button.delta_width', 0)),

					height : 300 + parseInt(ed.getLang('button.delta_height', 0)),

					inline : 1

				}, {

					plugin_url : url

				});

			});

			ed.addButton('custom_button', {title : 'Insert Custom Button', cmd : 'mcebutton1', image: url + '/img/button1.png' });

			

			// Hidden Content

			ed.addCommand('mcebutton2', function() {

				ed.windowManager.open({

					file : url + '/hidden.php', 

					width : 280 + parseInt(ed.getLang('hidden.delta_width', 0)),

					height : 210 + parseInt(ed.getLang('hidden.delta_height', 0)),

					inline : 1

				}, {

					plugin_url : url

				});

			});

			 

			ed.addButton('hidden_button', {title : 'Insert Hidden Content', cmd : 'mcebutton2', image: url + '/img/clock.png' });

			

			// Buy Now

			ed.addCommand('mcebutton3', function() {

				ed.windowManager.open({

					file : url + '/buynow.php', 

					width : 300 + parseInt(ed.getLang('buynow.delta_width', 0)),

					height : 300 + parseInt(ed.getLang('buynow.delta_height', 0)),

					inline : 1

				}, {

					plugin_url : url

				});

			});

			 

			ed.addButton('buynow_button', {title : 'Insert Buy Now Button', cmd : 'mcebutton3', image: url + '/img/buy.png' });

			

			// Arrow

			ed.addCommand('mcebutton4', function() {

				ed.windowManager.open({

					file : url + '/arrow.php', 

					width : 290 + parseInt(ed.getLang('arrow.delta_width', 0)),

					height : 320 + parseInt(ed.getLang('arrow.delta_height', 0)),

					inline : 1

				}, {

					plugin_url : url

				});

			});

			 

			ed.addButton('arrow_button', {title : 'Insert Arrow Image', cmd : 'mcebutton4', image: url + '/img/arrow.png' });

			

			// Check

			ed.addCommand('mcebutton5', function() {

				ed.windowManager.open({

					file : url + '/check.php', 

					width : 280 + parseInt(ed.getLang('check.delta_width', 0)),

					height : 170 + parseInt(ed.getLang('check.delta_height', 0)),

					inline : 1

				}, {

					plugin_url : url

				});

			});

			ed.addButton('check_button', {title : 'Insert Check Image', cmd : 'mcebutton5', image: url + '/img/check.png' });

			

			// Insert Box

			ed.addCommand('mcebutton6', function() {

				ed.windowManager.open({

					file : url + '/box.php', 

					width : 400 + parseInt(ed.getLang('box.delta_width', 0)),

					height : 400 + parseInt(ed.getLang('box.delta_height', 0)),

					inline : 1

				}, {

					plugin_url : url

				});

			});

			ed.addButton('box', {title : 'Insert Box Content', cmd : 'mcebutton6', image: url + '/img/box.png' });



			// Guarantee

			ed.addCommand('mcebutton7', function() {

				ed.windowManager.open({

					file : url + '/guarantee.php', 

					width : 400 + parseInt(ed.getLang('box.delta_width', 0)),

					height : 200 + parseInt(ed.getLang('box.delta_height', 0)),

					inline : 1

				}, {

					plugin_url : url

				});

			});

			ed.addButton('guarantee', {title : 'Insert Guarantee Badge', cmd : 'mcebutton7', image: url + '/img/guarantee.png' });



			// CSS

			ed.addCommand('mcebutton8', function() {

				ed.windowManager.open({

					file : url + '/css.php', 

					width : 380 + parseInt(ed.getLang('css.delta_width', 0)),

					height : 330 + parseInt(ed.getLang('css.delta_height', 0)),

					inline : 1

				}, {

					plugin_url : url

				});

			});

			 

			ed.addButton('cufon', {title : 'Insert Cufon Font', cmd : 'mcebutton8', image: url + '/img/css.png' });



			

			// Check Marks

			ed.addCommand('mceCheckRed', function() {

				var list, dom = ed.dom, sel = ed.selection;



				ed.execCommand('InsertUnorderedList');



				list = dom.getParent(sel.getNode(), 'ul');

				dom.addClass(list, 'checkred');

			});



			ed.addCommand('mceCheckBlue', function() {

				var list, dom = ed.dom, sel = ed.selection;



				ed.execCommand('InsertUnorderedList');



				list = dom.getParent(sel.getNode(), 'ul');

				dom.addClass(list, 'checkblue');

			});



			ed.addCommand('mceCheckGreen', function() {

				var list, dom = ed.dom, sel = ed.selection;



				ed.execCommand('InsertUnorderedList');



				list = dom.getParent(sel.getNode(), 'ul');

				dom.addClass(list, 'checkgreen');

			});



			ed.addCommand('mceArrowRed', function() {

				var list, dom = ed.dom, sel = ed.selection;



				ed.execCommand('InsertUnorderedList');



				list = dom.getParent(sel.getNode(), 'ul');

				dom.addClass(list, 'arrowred');

			});



			ed.addCommand('mceArrowBlue', function() {

				var list, dom = ed.dom, sel = ed.selection;



				ed.execCommand('InsertUnorderedList');



				list = dom.getParent(sel.getNode(), 'ul');

				dom.addClass(list, 'arrowblue');

			});



			ed.addCommand('mceArrowGreen', function() {

				var list, dom = ed.dom, sel = ed.selection;



				ed.execCommand('InsertUnorderedList');



				list = dom.getParent(sel.getNode(), 'ul');

				dom.addClass(list, 'arrowgreen');

			});



			ed.addCommand('mcePlusRed', function() {

				var list, dom = ed.dom, sel = ed.selection;



				ed.execCommand('InsertUnorderedList');



				list = dom.getParent(sel.getNode(), 'ul');

				dom.addClass(list, 'plusred');

			});



			ed.addCommand('mcePlusBlue', function() {

				var list, dom = ed.dom, sel = ed.selection;



				ed.execCommand('InsertUnorderedList');



				list = dom.getParent(sel.getNode(), 'ul');

				dom.addClass(list, 'plusblue');

			});



			ed.addCommand('mcePlusGreen', function() {

				var list, dom = ed.dom, sel = ed.selection;



				ed.execCommand('InsertUnorderedList');



				list = dom.getParent(sel.getNode(), 'ul');

				dom.addClass(list, 'plusgreen');

			});







			//Add Buttons

			ed.addButton('ListIcons', {

				title : 'Red Checkmark Bullets',

				image : url+'/img/checkred.png',

				cmd : 'mceCheckRed'

			});



			ed.addButton('ListIcons2', {

				title : 'Blue Checkmark Bullets',

				image : url+'/img/checkblue.png',

				cmd : 'mceCheckBlue'

			});



			ed.addButton('ListIcons3', {

				title : 'Green Checkmark Bullets',

				image : url+'/img/checkgreen.png',

				cmd : 'mceCheckGreen'

			});



			ed.addButton('ListIcons4', {

				title : 'Red Arrow Bullets',

				image : url+'/img/arrowred.png',

				cmd : 'mceArrowRed'

			});



			ed.addButton('ListIcons5', {

				title : 'Blue Arrow Bullets',

				image : url+'/img/arrowblue.png',

				cmd : 'mceArrowBlue'

			});



			ed.addButton('ListIcons6', {

				title : 'Green Arrow Bullets',

				image : url+'/img/arrowgreen.png',

				cmd : 'mceArrowGreen'

			});



			ed.addButton('ListIcons7', {

				title : 'Red Plus Bullets',

				image : url+'/img/plusred.png',

				cmd : 'mcePlusRed'

			});





			ed.addButton('ListIcons8', {

				title : 'Blue Plus Bullets',

				image : url+'/img/plusblue.png',

				cmd : 'mcePlusBlue'

			});





			ed.addButton('ListIcons9', {

				title : 'Green Plus Bullets',

				image : url+'/img/plusgreen.png',

				cmd : 'mcePlusGreen'

			});

	

		},

		getInfo : function() {

			return {

				longname : 'yt',

				author : 'Derrick Van Dyke',

				authorurl : 'http://wpsalescopy.com',

				infourl : 'http://www.wpsalescopy.com',

				version : tinymce.majorVersion + "." + tinymce.minorVersion

			};

		}

	});

	tinymce.PluginManager.add('yt', tinymce.plugins.newPlugin);

})();